label intermission1:

image intermission1blurred = im.Blur("CG/intermissioncg1.png", 3.0)

play music "audio/music/continue.mp3" fadein 5
pause 4
with None

"Roughly four years ago, I set off into these frozen tundras all on my own."
"I was determined but unprepared for the harshness of this place and I almost lost my life here."
show intermission1blurred
with dis3
"By a stroke of luck I was saved by Burry. He was searching for something in this snow too."
"In the end, we both found so much more than we were looking for. It was the two of us who discovered Shelter."
"Once we realized the importance of this place, we decided to dedicate ourselves to sharing its wonders with other people."
"I had a silly dream of setting up my own tavern so I thought, why not here? Burry decided to stay and help me."
"For many months it was just the two of us here, trying to make heads or tails of this mysterious place."
"We were so excited imagining a lively Shelter, full of people."

hide intermission1blurred
stop music fadeout 10
with Dissolve (4)

"The next years were filled with events and discoveries that exceed even our wildest expectations."

pause 2
scene tavern1
play bgm2 "audio/music/noisytavern.ogg"
with Dissolve (3)

#---

play music "audio/music/lazy shelter.mp3" fadein 10
"After the bomb shenanigans I get back to work. There are so many mugs of drinks and plates of food to deliver to each dog."
"It's quite a lot to remember and keep track of but I've been doing this for years already so I manage somehow."
"I like it. It can be hectic at times but the smiles of the dogs are worth it. This is pretty much my dream coming true."
"The dogs are always loud but today everyone is exceptionally lively and happy."

pause 1

x1 "I can't hecking wait for tonight! This is going to be my first Skies Ablaze in the Shelter!"

x2 "Seriously? Haven't you been around here for like half a year already? We have had one of those since then."

x1 "Yeah, but I was outside when that happened. I still remember that night like it was yesterday..."
x1 "We were coming back to Shelter from our excavations but a few monsters trailed and surrounded us."
x1 "We clumped together in a defensive formation with our weapons at the ready and we managed to fend them off, but we were stuck there!"
x1 "The Shelter was already on the horizon but yet so far that we couldn't run for it!"
x1 "The monsters tried to attack once and again but they couldn't break our formation… so they were just circling around us, waiting for us to get tired and put our guard down."

x2 "Oh shit!"

x1 "Yeah! We couldn't do anything. We had to keep our swords at the ready at all times and pray that no more monsters would come. I… I seriously thought we were done for."
x1 "\"I don't want to die! I have never even had my first kiss!\", I thought to myself…and the night was getting so dark and cold..."

"The other dog puts his hand on his friend's shoulder and gives him a couple gentle pats. He smiles."

x1 "...but then... "
x1 "...the monsters looked in the direction of Shelter. We heard a loud sound and then in the darkness of the night we saw a bright spark flying up into the sky. Like a shooting star."
x1 "It flew so high that we could barely see it anymore...and then..."
x1 "BOOM~! The whole sky flashed with the brightness of daylight!"
x1 "That was so intense! ...but it didn't hurt my eyes. It was beautiful!"
x1 "Moreover, it scared the monsters! They ran away!"

x2 "So it's true that the monsters are afraid of it, huh? I thought that was just a baseless rumor."

x1 "No, it's true. It saved us! The monsters left us alone and we were finally free!"
x1 "We dropped down exhausted and watched as the skies calmed down and gradually lost that brightness."
x1  "Then, those little glowing specks started falling down. Like snow."
x1 "So, so many of them… An endless swarm of sparks. I have never seen anything so beautiful!"
x1 "...and then… and then… it kind of felt like… like..."

x2 "It felt like in a dream?"

x1 "Yeah! I was having those weird flashbacks of very random memories. Some mundane stuff at the Shelter... a few fears from the outside encounters… even some memories from back home."
x1 "...except those weren't MY memories. Not my home. Not my life. Those were the memories of everyone here, right?"

x2 "That's right. I don't know how that works exactly, but when you're outside the Shelter when the skies burn, you get those random thoughts."

x1 "That's weird."

x2 "Yeah. The Human probably knows more about that. I never got a chance to ask him."

x1 "I've never really even got to chat with him at all. Maybe I will tonight?"

x2 "I don't think so. He's never outside together with us for Skies Ablaze."

x1 "Huh? Why not? Is it because it's cold outside and he's furless?"

x2 "Maybe. I don't know. Maybe he just doesn't want to."

x1 "What? Why? Does he… does he not like us...?"

x2 "I mean… he's not a dog. He probably doesn't care about packs."
x2 "My guess is that Humans are simply solitary creatures."

"The dog shrugs and takes a sip of ale from his mug."
"......"



menu:
    "Should I say something?"

    "Cut in":
        jump intermission1cutin

    "......":
        jump intermission1quiet




label intermission1cutin:
l "That's not true. I like you guys. It's just that…--"

play sound "audio/sfx/spittake.ogg"
x2 "!!"
x2 "H-Human?! Were you listening?! I…!"

play sound "audio/sfx/whine1.ogg"
x1 "I'm so sorry! I'm so sorry! We didn't mean…!"

l "Guys! Guys! Chill out! I just...-!"

show thistle shouting1:
    rotate 45
    xalign -.1
    yalign .5
    zoom .8
with dis
t "For heck's sake, Human! Stop eavesdropping on people! You're making everyone uncomfortable!"

hide thistle
with dis
l "I didn't mean to! I just wanted to clarify that I CAN'T join you all outside!"
l "I'm busy those nights! I am the one who has to shoot the turret. I can't leave the control room!"

x1 "So..."
x1 "You're not angry at us…?"

"The two dogs look at me with eyes full of shame and fear. In a weird way, that's kinda adorable. Some dogs tend to overreact so much when spoken to!"
"...or do they react like that only to me…?"
"......"
"Better not to overthink that."

l "......"
l "Of course I'm not angry..."
l "Believe me, if I could, I would join you outside."
l "...but since I can't… well…"
l "Have fun and good luck on getting that first kiss tonight, I guess!"

"I wink and smile. After a few seconds, the dog shyly wags and nods in return."
"I leave them alone and get back to work. This time I do my best to not pay any attention to what they talk about. They speak a bit more quietly now anyway."
"Maybe it wasn't the best idea to interrupt them but I couldn't bear hearing a misunderstanding like that."
"I love the dogs here. I want to spend time with them. There's just so much stuff in the Shelter that only I can do. Things that I HAVE to do."
"......"
"...just like I have to collect and wash the plates from those tables in the corner..."
"So yeah, stop thinking about what's going to happen tonight when you still have so much work to do right here, right now, Luke!"
"Back to work!"

$ renpy.music.set_volume(.2, 5)
show blackbg
with Dissolve(3)
pause 2
jump morning



label intermission1quiet:

"......"

"I sigh and get lost in my own thoughts while wiping one of the tables. Hearing something like that just doesn't feel right."
"It's true I never join the dogs outside when the Shelter's turret shoots and the skies light up... but that's because I am the one who has to shoot the turret."
"There is a limited access room with a bunch of displays that only I can read. It's the technology in that room that controls the turret and I have to be there to use it."
"If I didn't have to be there… I would love to spend time with everyone during Skies Ablaze, yeah..."

x2 "So… you finally got that kiss or not?"

x1 "......no..."
x1 "Not yet..."

x2 "Try tonight! This is the perfect night for romance!"

x1 "Ummm..."

x2 "Do you have someone on your mind?"

x1 "......"
x1 "I… I do..."

x2 "Then go for it! Do it!"
x2 "What's the worst that could happen? You have nothing to lose but so much to gain."
x2 "So... you know... the next time you don't have those regretful thoughts when you're at the edge of death!"

"The dog raises his mug for a cheer and takes a swig. His friend wags and follows suit. So adorable..."
"It's so nice to look at them. The dogs have their own dreams and dramas, I have my own. Even if we have to do things separately, that's not necessarily a bad thing."
"I just have to do my work so they are free to do theirs. In that way, we're living in a good symbiosis of sorts. I'm fine with that."
"At least I think so..."
"......"
"Anyway, there are still more plates to collect and wash! More mugs to refill! I'll worry about tonight after I'm done with the tasks I have at hand."
"For now, back to work!"

$ renpy.music.set_volume(.2, 5)
show blackbg
with Dissolve(3)
pause 2
jump morning
