label morning_introduction:

$ renpy.music.set_volume(0, 5)

scene tavern1
show blackbg
with Dissolve(4)
pause(2.5)

"???" "Awoo, everyone!"
"???" "We're bark!!"

hide blackbg
$ renpy.music.set_volume(1, 5, "bgm2")
play bgm2 "audio/music/noisytavern.ogg" fadein 6
play sfxchannel2 "audio/sfx/howling1.ogg" fadein 6
play sound "audio/sfx/angrybarking.ogg" loop
with dis3
"With loud, lively shouts, a group of Canine warriors enters the tavern."
"All of the tavern's patrons turn to look at the entrance and they greet the newcomers with cheerful barks and howls."
"What a wonderful surprise! It's always a great occasion to celebrate when people manage to come back from their expeditions on those dangerous, freezing wastelands outside."
stop sfxchannel2 fadeout 5
show teakfull smiling1 backpack
with dis
"In the front of the group stands a big Tosa Inu dog, Teak. Wearing a thick winter coat and with a big backpack on his back, he laughs in high spirits."

show teakfull laughing1
teak "Aaaah! It's so great to be able to smell all these scents again!"
show teakfull laughing2
teak "I missed you all, you stinky bastards!"
show teakfull laughing3
teak "It was nothing but snow and wind outside for weeks! And monsters! Hahaha!"

show runefull happy1:
    xalign -.15
    yalign 1.0
    zoom .8
with dis
stop sound fadeout 5
"???" "But that's not all that you found! Right, lil' Teak?"

"From a seat a few tables away, a big husky waves at Teak, the traveller."

show teakfull laughing2
teak "Chief Rune!"

show runefull laughing1
r "Come! Drink with me! Tell me all about your trip!"

hide runefull
with dis
show teakfull laughing1
"With a wide smile on his face and a vigorously wagging tail, Teak the traveler hurries to the Husky's table."
play sound "audio/sfx/thud1.ogg"
with hpunch
"He's so excited that he bumps a few other dogs on his way with his backpack. One of them, a middle aged Terrier, spills his ale on himself."

"???" "Hey! Watch it, mutt!"

show teakfull glaring1
play sound "audio/sfx/growlinglong.ogg"
"Teak turns to the other dog and gives an intimidating stare with a nasty growl."
"He is the biggest and the scariest dog in the room..."

show teakfull shouting2
teak "You got a problem?"

"The poor Terrier puts his ears down flat and leans away terrified."

"???" "I mean… You… you could be a little more..."

show teakfull angry2
teak "HUH?! Speak up! That's not what I heard you say!"

show runefull:
    rotate 45
    xalign -.7
    yalign 1.9
    zoom .8
with dis
r "Teak! No fighting in the tavern! Leave that for the training grounds!"
show runefull sideblep1
r "Spare the man's life like a good boy and sit down! Come on, buddy! Come 'ere!"

hide runefull
show teakfull glaring1
with dis
"Teak gives the Terrier a stink eye with a quiet growl before he continues walking towards the Husky."
show teakfull coat
with dis
play sound "audio/sfx/thud2.ogg"
"He takes his backpack off, sets it down on the floor by the bench and sits down."
show teakfull smiling1
with dis
"His expression brightens up and his tail wags again as soon as he looks at Rune, the Husky."

$ renpy.music.set_volume(1, 0)
play music "audio/music/welcome bark.mp3" fadein 15
hide teakfull
show rune sideblep1 at left2
show teak coat smiling1 at right2
with dis3
pause 3.5
show teak smiling2
teak "Chief…!"

show rune happy1
r "Hahaha! Look at you! I see that everyone from your pack came back this time!"
show rune laughing1
r "That's amazing! Told you it would be fine!"

show teak laughing1
teak "Yes! Yes! And it's all thanks to you, chief!"
show rune listening1
show teak laughing2
teak "Your sword-fighting lessons in these past few months have made all the difference!"
show teak serious1
teak "That saved my life when I got separated from my pack. A monster attacked me!"
show teak smiling1
teak "But it was alone as well so I managed to fend it off! All on my own!"

show rune happy1
r "Really?! All on your own? Dawww! That's so nice, Teak!"
show rune laughing1
show teak smiling3
r "Our puppy is growing so fast! I knew you would do great out there!"


"Rune leans over the table and pets the huge dog's head. There's so much mutual pride in that gesture."

show teak smiling2
teak "I could only do so well because you taught me well, chief."
show teak laughing2
teak "And because I knew I had a place to come back to."
show teak bashful2
teak "Still, I wish you could be out there with us…"

show rune listening1
r "I know you do, Teak, but I'm not going anywhere. My place is here at the Shelter."
show rune talkhappy1
r "A huge tin can full of dogs won't keep order on its own, right?"
show rune happy1
r "Besides, I really don't care about the outside. I'm happy here!"
show rune sideblep1
r "If you want to see my handsome face, you just have to come back here safely every time!"

"As he says that, Rune leans over the table yet again and boops Teak's snoot."
show rune listening1
show teak bashful1
"Both of them wag. How is it possible for two scar-faced beefcakes to be so adorable...?"

show teak bashful2
teak "I… I know, chief..."
show teak talking2
teak "That's why I brought some gifts! We found a lot of stuff!"
show teak laughing2
teak "I want you to have something!"

show rune littleblep1
r "Oh?"

hide rune
hide teak
with dis
play sound "audio/sfx/rummage1.ogg"
"Teak opens his backpack and rummages through its contents."
"It takes him some time… and he gets increasingly frustrated as he takes out more and more items that he sets on the table."
"...a sharpening stone… a flint… two spare torches..."
"...and then a bunch of relics..."
show knifedefault:
    xalign .5
    yalign .2
with dis
play sound "audio/sfx/clang1.ogg"
"A knife with teeth on one side of the blade…"
hide knifedefault
show bombdefault:
    xalign .5
    yalign .2
with dis
play sound "audio/sfx/clang2.ogg"
"A small cylindrical box with a display..."
hide bombdefault
show rifledefault:
    xalign .5
    yalign .2
with dis
play sound "audio/sfx/clang1.ogg"
"A confusing, long, intricate stick…"
hide rifledefault
with dis
"Everything made of metal."

show teak coat shouting2 at tran44
with dis
teak "Grrr… I'm sure I had it here! I know I had it with me yesterday!"
show teak angry2
teak "GRRR!! Where the hell is it?!"

play sound "audio/sfx/slam1.ogg"
with vpunch
"He slams the table with his fist, making Rune's mug of ale bounce up half a foot high."
"The Husky grabs it mid-air and with inhuman precision swings it in an arc, catching all of the liquid back into the container before it splashes on the table."
"Then, yet another thing lands on the table, right in front of Teak."
show stew:
    xalign .5
    yalign .2
show teak surprised1
with dis
play sound "audio/sfx/platedown1.ogg"
"A bowl of steaming hot meat stew..."

show burryfull talking2 at left

with dis
"???" "Is this perhaps what you were looking for?"

show burryfull calm1
teak "?!"
show teak shouting1
teak "B-Burry! Sir!"
teak "Is this…?"

show burryfull talking2
b "Just some leftovers. On the house."
show burryfull talking1
b "We're glad to see you back."

show burryfull calm1
show teak surprised1
teak "I..."
show teak teary1
teak "I love leftovers! It's my favorite!!"

show burryfull talking2
b "Then eat up! I'll get some for the rest of your pack too."

show teak shouting1
with None
hide stew
with dis
teak "Wait! Burry, sir, please... I have something for you too!"

show burryfull surprised1
show teak smiling3
b "Oh?"

show knifedefault at middleitem
with dis
"Teak grabs the knife by the edge and presents the handle end to Burry, the Saint Bernard Dog."

show teak laughing2
teak "I found this knife! It's in really good condition!"

show teak smiling3
show burryfull serious1
b "......"
show burryfull serious2
b "That's… Yeah, that's a really good knife, Teak!"
show burryfull serious3
b "...are you sure? I can clearly smell some magic on it..."
show burryfull serious2
b "I think it will do more good in your hands, on your trips outside."

show burryfull serious1
show teak talking1
teak "No, not at all! I want you to have it!"
show teak talking2
teak "Your delicious cooking is one of the things I look forward to the most when I'm on my way back to the Shelter!"
show teak talking1
teak "That's something we can't have anywhere else in the world and that's what gives us strength to push through the cold and come back every time. It's our oasis in the snow."
show teak bashful2
teak "If you really have no need for it, I understand… but if you can use it to make even more delicious food, then please take it!"

show teak serious1
show burryfull serious4
"Clearly deep in thoughts, Burry stares at Teak holding the magic blade, with a face full of anticipation."
"The Saint Bernard opens his mouth to say something… but then he stops himself."
show burryfull calm1
"He sighs and smiles instead."

show burryfull talking1
show teak laughing2
b "...of course I can use it."
show burryfull talking2
b "This is a wonderful gift, Teak. Thank you. You are such a good boy!"
show burryfull talking1
show teak laughing3
b "Let me know when you're done eating and I'll get you seconds, okay?"

hide knifedefault
hide burryfull
hide teak
show teakfull coat laughing3 at right
show runefull happy1 at left
show burryfull talking1
with dis3
"Burry takes the knife and ruffles the top of Teak's head with fondness while Rune sips from his mug with a wide grin."

with dis
"Three of the biggest dogs at the tavern together… showing affection and wagging with so much happiness..."
"This is the kind of sight you can only witness here in the Shelter…"
"So adorable! Big dogs are the best!!"
hide burryfull
with dis
"Eventually Burry leaves to tend to the other travellers. That leaves Teak with the still grinning Rune."

hide teakfull
hide runefull
show rune smirking1 at left2
show teak coat smiling3 at right2
with Dissolve(2)
r "......"
show rune smirking2
r "So... ONE of the things you look forward to, huh..."

show teak surprised1
show rune smirking1
teak "?"

show rune smirking2
r "I wonder..."
r "...what could be THE one thing you look forward to the most… Eh? Teak?"

show rune smirking1
show teak talking2
teak "...chief? What are you…-"

show rune smirking2
r "Something… or someONE, eh? Eh?"

show teak bashful3
teak "......"

show rune talkhappy1
r "Don't worry about any gifts for me. Most importantly, have you brought anything for HIM?"

show teak bashful1
teak "Y-yeah… this weird beeping instrument here..."
show teak bashful2
teak "But I'm waiting until later, for Skies Ab-..."

show rune happy1
r "That's great! He's right there, talking with your packmates!"
show rune laughing1
show teak surprised1
r "Hey Max! Maaax~! Come here! Awooo~!"

show teak shouting1
teak "CHIEF!! NO!!"

"Teak tries to stop Rune from shouting but he's too late. Max the Dachshund is already on his way towards their table."
play sound "audio/sfx/whine1.ogg"
"Poor Teak... He looks like he's about to cry... With panic in his eyes, he first stares at the table with his packmates, then at Rune's face."
"...all the while the Husky wags, clearly proud of himself."

show teak glaring2
teak "You… you REALLY shouldn't have…!"

show rune happy1
r "You can thank me later! Now, work your charm, floppy ears! You got this!"

show teak surprised1 at right3
show rune sideblep1 at left3
show maxfull laughing1
with dis
m "Awoo, Teak! Welcome bark!"

show maxfull smiling1
"A short dachshund with a lute on his back approaches Teak's and Rune's table."
"Compared to Rune, Teak and Burry, Max is a much smaller dog. Still, he greets them with confidence and familiarity."

show teak bashful1
teak "H-hey Max!! Thanks! I… umm..."

show maxfull smiling4
m "I heard a lot about you! Your pack's been telling me all about your trip!"

show teak laughing3
teak "Ha...hahaha…"
show teak laughing2
teak "...yeah…?"
show teak surprised1
teak "......"
show teak glaring2
teak "Wait... What did they tell you exactly?"

"Teak tries to keep a smile on but there's noticeable nervous twitching on his face. Is he worried about something?"

show maxfull laughing1
m "Well... like… they praised you a lot! You became more cooperative."
show maxfull smiling2
show teak smiling2
m "You communicate with your packmates and you can reach compromises together."
show maxfull smiling4
m "...and you actually treat the other dogs with care and kindness."

show teak bashful1
"Teak's expression brightens up and his chest relaxed in sigh of relief."

show teak smiling3
teak "I see… I see..."

show maxfull serious2
m "Uh-huh. At least most of the time..."
show maxfull serious1
show teak surprised1
show rune littleblep1
m "...because I also heard how you separated from them over a petty fight and almost got everyone killed."
show teak shouting1
m "They had to fend off a monster attack without you, their strongest fighter."
show rune disappointed1
show maxfull serious2
m "Duke lost all of his loot and equipment and Cooper got bitten three times. He lost a half of his tail..."

show teak talking2
"The big dog's smile drops instantly. His eye twitches and he gulps audibly."
show teak ashamed1
"He tries to reply but he looks away and stays silent."

show maxfull smiling1
m "......"
show maxfull smiling2
show teak surprised1
show rune littleblep1
m "...but then you returned and helped everyone."
show maxfull smiling1
show teak talking2
show rune listening1
m "You shared your equipment with Duke and carried Cooper on your back all the way to the Shelter."
show maxfull laughing1
m "...and most importantly... you apologized."
show maxfull smiling2
show teak ashamed1
m "That doesn't make up for putting them in danger in the first place but it takes a big heart and a lot of courage to voice out remorse."
show maxfull laughing3
show teak surprised1
m "They want to give you another chance. They like having you around."

"Max wags his tail and he presents his clenched fist to Teak."

show maxfull winking1
show teak teary1
m "...I'm proud of you, Teak. I always knew you were a good dog!"

"Teak looks up with a renewed sparkle in his eyes. He smiles and bumps Max's tiny fist with his massive gloved one gently."

show teak bashful3
teak "...thank you. That means a lot… coming from you..."

show rune happy1
r "You know, Teak has a gift for you, Max! \nYou two should totally hook up!"

show maxfull serious1
m "What? A gift? Really?"

show teak laughing1
teak "Hahaha… yeah..."
show teak bashful1
teak "I wanted to wait for Skies Ablaze tonight to give it to you… that's why we hurried back here today..."
show teak bashful3
teak "...but… I guess… now's as good a time as any!"

show bombdefault at middleitem
show maxfull at tran41:
    yalign 1.0
show teak smiling2 at tran44
hide rune
with dis
"Teak grabs another of the relics off the table. This time it's the cylindrical box with a small display."
"He huffs at it a couple times and wipes with his sleeve to make it shine. Then he offers it to Max."

show teak talking2
teak "It's just a little piece of junk, nothing much..."
show teak laughing1
teak "...but I hope you'll like it!"

"Max stares at it for a moment and then gets a hold of it gently. He looks it over from all sides."

show maxfull smiling2
m "It's… really pretty!"
show maxfull laughing1
m "What does it do?"

show teak smiling1
teak "See these little nubs?"
show teak laughing2
teak "Press this one, or any of these… look..."

show maxfull surprised1
m "...?"
play bgm3 "audio/sfx/countdown.ogg"
show maxfull laughing1
show teak laughing1
m "!!"
show maxfull laughing2
stop bgm3
m "It plays notes!!"
show maxfull laughing3
m "Hahaha! Oh wow! It makes sounds like the displays by the doors around the Shelter! But this is portable!"

play bgm3 "audio/sfx/bombrhythm.ogg"
"Max is having a blast mashing the buttons his new toy and Teak evidently enjoys watching him. The big dog wags and a smile full of pride is plastered over his muzzle."

show teak smiling1
teak "You like it?"

stop bgm3
show maxfull laughing1
m "Teak, this is amazing! This is an instrument of the ancients!"
show maxfull laughing3
show teak blep1
m "I… awww…!!"

hide teak
show teakfull coat blep1 at right2 behind maxfull:
    yalign 1.0
show maxfull smiling4 at left2:
    yalign 1.0
hide bombdefault
with dis
"Max puts the box back down on the table and gives Teak a big hug."
"...or at least as big as he can. Even with wide open arms he can barely reach over both of Teak's shoulders."

show maxfull serious1
m "...but Teak! I don't have anything to give you back!"

show teakfull laughing3
teak "Hahaha! It's okay!"
show teakfull talking2
show maxfull smiling2
teak "You've been helping me so much. You fixed all the stuff that I broke in the past… Like that chair… and those two doors..."
show teakfull bashful3
teak "And I love yo-...y… your songs! You are the only one who can play music here! You should have it!"
show teakfull smiling2
teak "If you can make more beautiful songs with this new instrument, then that's going to make everyone at the Shelter happy. Just like Burry's cooking!"
show teakfull laughing2
teak "You are an amazing musician and I want… I want to see your talent bloom!"

show maxfull laughing3
"Max stands with his arms crossed and laughs with a little blush."

show maxfull embarrassed1
m "Oh no, no, no, I'm really nowhere near \"amazing\" yet!"
show maxfull smiling4
m "I'm barely a beginner! And I'm not humble-bragging… I really am."
show maxfull smiling3
m "I'm only dextrous with my hands because I grew up with cats. I'm still learning actual music..."

show teakfull smiling2
teak "...well, I like it! I've been humming your melodies during the whole trip!"

show maxfull laughing1
m "Really?! Dawww… Teak!"
show maxfull embarrassed1
m "Hahaha! Well…"
show maxfull smiling4
show teakfull blep1
m "…before you set off to your next trip out, come find me in my room any time. I can play for you! How's that for a payback?"

teak "......"

"Teak freezes for a moment…"
show teakfull laughing3
"...then laughs nervously and tugs at the collar of his thick coat."

teak "Hahaha!"
show teakfull bashful3
teak "Oooh boy! Is it just me or is it hot here! Haha!"

show rune happy1 at tran41
with dis
r "Of course it is! It's the Shelter! It's always warm here!"

show maxfull smiling3
m "Warmed up by the power of everyone's hearts!"

show teakfull laughing3
teak "Hahaha yeah! Sorry, I'm gonna..."

hide maxfull
hide rune
show teakfull glaring1
with dis
"The big dog takes off his gloves in a hurry and starts unbuttoning his coat."
play sound "audio/sfx/undress1.ogg"
"After a moment..."
show teakfull smiling3
show teakfull casual
with dis
"...everyone's graced with the sight of his powerful musculature."
"Ooof… Oh boy~"

show teakfull laughing1
teak "Much better!"

show max surprised2 at left3
with dis
m "Oh no, Teak! You're wounded!"

show teakfull laughing2
teak "This? Naaah, this is nothing!"
show teakfull glaring1
show max smiling1
teak "You should have seen me in that fight! The puny monster tried to have a taste of my iron muscles but instead I fed it a mouthful of my iron..."
show teakfull glaring2
teak "...ummm..."

show thistlefull wood behind teakfull
with dis
"???" "Steel?"

show teakfull laughing3
teak "Yeah! My steel!"
show teakfull smiling2 at right behind thistlefull
show max behind thistlefull
with dis
teak "So Max, how about you sit down with me and I can tell you everyth-"
show teakfull shouting2
show max laughing1
teak "HEY!"

show teakfull serious1
"The big dog pats at the spot at the bench beside him but he gets interrupted by an old Blue Heeler leaning between him and Max to examine the relics on the table."

show teakfull shouting2
teak "Hey! Thistle! SIR!! GO AWAY!!"

show thistlefull listening2
hide max
with dis
t "Burry said you're giving stuff away. Where's my gift?"

show teakfull serious2
show thistlefull listening1
teak "Why do you assume I brought you anything, you crazy old dogfart?!"

show thistlefull disappointed1
"Thistle, the short old Blue Heeler dog, raises his wooden walking cane and..."
play sound "audio/sfx/bonk1.ogg"
show teakfull glaring1
"...bonks Teak on top of his head, making a dull sound. The pain doesn't make Teak flinch, but there's anger rising in his eyes. His chest heaves and he lets a growl rumble in his throat."
show rune sideblep1:
    rotate 45
    xalign -.1
    yalign .5
    zoom .8
with dis
"In the meantime Rune takes the opportunity to snatch Max's new toy to play with it himself! Seriously, Rune?!"

hide rune
with dis
t "......"
show thistlefull  irritated1
t "That's not the way to speak to your elders, pup."

show teakfull angry1
show thistlefull listening1:
      linear 1.5 xalign .7
play sound "audio/sfx/growlinglong.ogg"
"Thistle leans toward Teak's face so close that their snoots are almost touching!"
"That reckless geezer! He's going to get his whole head bitten off!"

show thistlefull listening2
t "...and don't pretend you didn't bring me anything."
show thistlefull happy1
t "I know you did. You like me."

show teakfull glaring1
"Thistle winks with a smile and puts his hand on top of Teak's head to pet the spot he just hit."
show teakfull glaring2
"Teak's expression slowly melts down from fury into just a glare of annoyance and disgust."

teak "......"

hide teakfull
hide thistlefull
show rifledefault at middleitem
with dis
"He takes another relic from the table and shoves it into Thistle's hands."
"It's a long, intricate metal pole with a bunch of confusing parts. Thistle looks it over from all sides fascinated."

show thistle confused1 at left3
with dis
t "Hmmm…. What could it be..."

show teak talking1 at right3 behind rifledefault
with dis
teak "It's a..."

show thistle listening2
t "Oh! I know what it is!"
show thistle listening1
t "It has the perfect length and a firm handle...."
show thistle laughing1
t "It's a walking cane!"

show teak laughing2
teak "Yes! But that's not all."
show teak talking2
teak "You see this weird tube on the side? Try looking through it."

show thistle listening1
t "......"

show teak talking1
teak "No, no, the other end."
show teak talking2
teak "Here, look..."

show thistle irritated1
t "I got it, I got it!"
show thistle listening1
t "......"
show thistle surprised1
t "Holy moly! It enlarges things! Inconceivable!"

show thistle confused1
with None
hide teak
with dis
"With his new walking cane awkwardly nested over his shoulder, the old man looks all around the tavern through the tube on the side of the cane."
show thistle laughing1
"He laughs like a child while pointing at the faces of the dogs around him."

t "Hahaha! Chief! I can count your whiskers!"

show rune irritated1 at right3 behind rifledefault
with dis
r "That's cool, but get it off my face..."

show thistle listening2
$ renpy.music.set_volume(.3, 3)
t "I wonder what this part does..."

hide thistle
hide rune
hide rifledefault
with dis3
"Thistle puts his hand on the weird curved trigger placed on the other side of the tool."
"Still aiming at Rune's face he pulls the trigger..."
play sound "audio/sfx/click1.ogg"
"......"
"...but nothing happens."

show teak laughing2 at tran44
show thistle listening1 at mid3
with dis
$ renpy.music.set_volume(1, 2)
teak "Oh, that does nothing. But you can twist these bits in the tube to make things appear smaller or larger..."

show thistle focused2
t "I see… I see..."
show thistle laughing1
t "Hahaha! Silly ancients! A looking glass on a walking cane! Who would have thought!"
t "They really were a bunch of mad geniuses, weren't they! Hahaha!"

show max laughing1 at tran41
with dis
m "You're having fun with this thing, huh?"

show teak talking2
teak "I don't know how attached you are to your old wooden cane. It's probably an item of sentimental value, but still..."

show thistle happy1
t "Oh no, you can have that piece of junk! This is MUCH better!"

hide teak
hide max
hide thistle
show thistlefull happy1
with dis
"Thistle puts his new walking cane on the ground and poses with it."
"Weirdly… it suits him! I think?"

play bgm3 "audio/sfx/countdown.ogg"

hide thistlefull
with dis
"!!"

show rune happy1 at tran41
with dis
r "Max! Max! Look! Listen!"

show bombdefault at middleitem
show max surprised1 at tran44
with dis
m "!!"
show max laughing2
m "Wow! It plays on its own!"
show max laughing1
m "How did you do that?"

show rune laughing1
r "I just pushed a bunch of these nubs at random!"
show rune talkhappy1
r "If you figure it out, you can probably make it play all kinds of different notes!"

show max smiling2
m "It plays at perfectly even intervals... This is going to be so helpful when I practice my sense of rhythm!"

hide rune
show teak laughing3 at tran41
with dis
teak "This is amazing!"
show teak laughing2
teak "Max! You can add this instrument to your songs!"

show max laughing3
m "Hahaha! Yeah! I'm already getting some ideas..."
show max smiling4
m "Let's see..."

hide bombdefault
hide teak
hide max
with dis

"Max takes his guitar off his back and starts trying some random chords and melodies."
"At first nothing seems to fit but with more experimentation he manages to harmonize his playing with the monotonous beeping of the box."
"All the while, Teak is staring at him fascinated. Both of them are taking so much happiness out of that little gizmo."
"Finally, Max stop and puts his guitar back on his back."


show maxfull laughing1 at left3
show teakfull smiling2 at right3
with dis
m "I love it! I'm going to have so much fun with it!"
show maxfull laughing2
m "Thank you again, Teak!"

show maxfull smiling4
show teakfull laughing1
teak "Hahaha! I hoped you would like it..."

show maxfull smiling2
m "Of course I do! This is amazing!"
show maxfull smiling1
m "......"
hide teakfull
hide maxfull
show bombdefault at middleitem
show max laughing1 at tran44
show rune listening1 at tran41
with dis
m "...so… Rune..."
m "How do you make it go quiet again?"

show max smiling1
show rune talkhappy1
r "Let's see..."

hide max
show rune sideblep1
with dis3
"Rune takes the box and starts pushing the buttons one after another. It looks like he's doing it at random again."
show rune littleblep1
r "......"
show rune listening1
r "............"
show rune stern1
r ".................."
show rune talkstern1
r "........................"
show rune unhappy2
r "...................................."
show rune unhappy1
r "............................................................"
"After a while, he gives up and puts it back on the table."

show rune irritated1
r "Grrr… I don't know! I'm not a mechanic! That's your field, Max."

show thistle disappointed2 at tran44
with dis
t "You better find a way or it's going to drive everyone insane."

hide rune
show teak talking2 at tran41
hide thistle
show max surprised1 at tran44
with dis
teak "Max, you have the best nose in the whole Shelter. Can't you figure it out?"

show max surprised2
m "I mean, yeah, I can smell mana on it... a few different types of it…"
show max laughing1
m "...definitely Feline… ummm… this one… that's Ungulate…"
show max surprised2
m "...but that's all I can tell. I can't actually read the display."
show max smiling1
show teak serious1
m "Only the Humans can."

show teak serious2
teak "The Humans, huh..."

$ renpy.music.set_volume(0, 10, "bgm3")
hide bombdefault
show rune happy1 at tran42
with dis
r "We should ask Luke, then! I still haven't got you your drink, anyway, Teak!"

show teak glaring1
teak "No need to call the Human. We can figure it out on our own..."
show teak serious1
teak "He's probably busy anyway..."

show thistle laughing1 at tran43
show max winking1
with dis
t "Nonsense! He's been standing behind the bar, polishing the same mug for ten minutes and staring at us like a creep!"

show teak glaring1
teak "As he always does..."

hide thistle
hide rune
hide max
hide teak
with dis
"Thistle waves at me with a cheerful grin..."
"......"


#CHOICE 1
menu:

    "Wave back":
        jump morningwave

    "Ignore":
        jump morningignore


label morningwave:
"I put up a forced smile and wave back from behind the bar, glaring at Thistle."
"Stupid old dog… he didn't have to put it like that!"
"...even though it's kind of true..."

show rune sideblep1:
    rotate 45
    xalign -.1
    yalign .5
with dis

r "Luke! Luke! One… two… four mugs of booze here! Awoo~!"

hide rune
with dis
"......"

"I sigh and smile again. This time genuinely."

l "...sure! Coming right up!"


jump aftermorningchoice1



label morningignore:

"I trail my sight away from them and pretend I don't notice Thistle waving at me."
"It would be somehow weird to admit that I was staring and eavesdropping all this time from behind the bar… even though it's kinda true..."

r "Oh… maybe he wasn't paying any attention to us after all?"

m "Naah, he definitely was!"

r "How do you know?"

m "I just do. I know him too well."

t "That must be so awkward to be caught red-handed and called out on stalking. Truly shameful… I would be so embarrassed."

r "I think he's just shy, that's all!"

l "I'm not shy. I'm ignoring you all."

m "See? He WAS listening!"

t "Told you!"

r "Look! Look! His skin is getting red!"

t "Does that mean…"
t "...is he getting a kick out of it?! Do all Humans like public humiliation? That's…-!"

l "NO, I'M NOT!"
l "Okay, I AM getting embarrassed NOW, happy?! Humans don't always blush from arousal!"
show rune sideblep1 at tran41
show teak serious1 at tran42
show thistle laughing1 at tran43
show max smiling3 at tran44
with dis
l "I..."
l "......"
l "..........do you guys want those drinks or not...?"
show thistle happy1
t "Four mugs here, if you could!"
"I give the old dog a glare with a very long sigh..."
"......"
hide rune
hide teak
hide thistle
hide max
with dis3
"...and can't help but laugh! They are all being dumb but that's all in good spirit. I love them for that."
l "Sure! Sure! Coming right up!"

jump aftermorningchoice1



label aftermorningchoice1:

play sound "audio/sfx/liquid1.ogg"
"I take the mug I was polishing all this time and fill it to the brim. This one is for Teak."
"I mean, all of my mugs are clean, but I feel this one is somehow special just because I was wiping it for so long..."
"I grab three more mugs and fill them up with ale as well. I grab all four of them and take them to the table with the dogs."
show thistlefull happy1 at left
show maxfull laughing3 at right
with dis
"As soon as I put them down, Thistle and Max grab theirs and start sipping. Wow, they were thirsty, huh?"
show runefull happy1
with dis
"Rune finishes his previous mug and hands it to me, empty. Then, he starts sipping on the fresh one."
hide thistlefull
hide maxfull
hide runefull
show teakfull serious1
with dis
"Teak doesn't touch his."

l "...welcome back, Teak."

teak "......"

l "You should eat the stew that Burry brough you. It's getting cold."

show teakfull serious2
teak "I will eat it when I want to."

show teakfull serious1
l "......"
l "...do you want me to warm it up for you..?"

show teakfull shouting2
play sound "audio/sfx/growl2.ogg"
"I reach out to grab the bowl but Teak snarls so fiercely I jump away."
show teakfull angry1
"Then, he grabs a spoon and starts stuffing himself with the stew in such a hurry that the bowl gets emptied before I even have the time to regain my composure."
show teakfull glaring1
play sound "audio/sfx/platedown1.ogg"
"Teak pushes the empty bowl in my direction while wiping his mouth with the back of his hand."

show teakfull serious2
teak "Here. Now go away."

show teakfull serious1
l "...sure."

show max laughing1 at left3
with dis
m "Wait, Luke! Before you go..."

show thistle listening2 at right3
show teakfull glaring1
with dis
t "...take a look at it for us, would you?"

l "The beeping box?"

show rune happy1:
    rotate 45
    xalign -.1
    yalign .5
with dis
r "Yes! Yes! Come on, sit down with me!"

hide teakfull
hide max
hide thistle
hide rune
with dis
$ renpy.music.set_volume(.3, 3, "bgm3")
"Rune tugs at my sleeve and urges me to sit by him. When I do, he pushes the box in front of me."
show bombdefault at middleitem
with dis
"Thistle and Max sit down too, in front of us on Teak's bench. They stare at me full of anticipation."

show max surprised2 at tran44
with dis
m "Can you do it?"

show max smiling1
l "Yeah… I think so."
l "What do you want me to find out?"

show max laughing1
m "Well… for now, just see how to turn it off and back on."

show max smiling1
show rune talkhappy1 at tran41
with dis
r "And if it can play different sounds!"

show thistle happy1 at right3 behind max, bombdefault
with dis
t "Yeah, yeah! Something like a trumpet! I like trumpets!"

show rune listening1
r "Why do you think it can blow a trumpet?"

show thistle laughing1
show max smiling4
t "Who knows! The relics are mysterious!"

show max laughing3
m "Hahaha! Yeah, why not! See if it can play different sounds! And maybe if we can adjust the rhythm."

show teak serious1 at left3 behind bombdefault, rune
with dis
l "Got it! Just give me a few minutes and I'll find out what I can!"
show max surprised1
show thistle listening1
show rune stern1
with dis
$ renpy.music.set_volume(0, 30)
l "Well then..."
l "......"
l "............"
l "........................"
l "Ummm..."
l "...guys, stop staring at me, please."
show max embarrassed1
show rune flustered2
show teak glaring1
with dis
l "That's weird..."

show thistle listening2
t "Isn't that what you do all the time yourself?"

show thistle listening1
show rune laughing1
show max smiling3
with dis
l "......"
l "...okay, yeah, true..."
l "...but still, talk between each other if you want. This may take me awhile."

hide thistle
hide max
hide rune
hide teak
show blackbg behind bombdefault:
    alpha .5
with dis3
"I take the beeping box in my hands. It's smooth and cold to the touch. I look at its display on the front but I can't really read it either."
$ renpy.music.set_volume(0, 6, "bgm3")
$ renpy.music.set_volume(0, 6, "bgm2")
"...at least not just like that. There's a trick to it."
show blackbg behind bombdefault:
    alpha .7
with dis3
"Every race is born with certain abilities. Like, Canines can sense the presence of other creatures."
"That's a versatile ability with a variety of uses, like tracking a location of the prey or coordinating maneuvers with other pack members with thoughts alone."
"Abilities like that are fueled by energy produced inside one's body. We call it \"mana\"."
"Wherever there's conscious life, there's also mana. In the air, in the ground…"
"Every living being that is capable of thoughts expels mana into the environment and every species produces a different type of it."
"That's a wide topic to cover but the important part is that the relics we find around here are tools that run on mana."
"This display here is the same. It takes that life energy and burns it to display symbols hidden to the naked eye..."
show blackbg:
    alpha 1
hide bombdefault
with dis
"...and the ability of the Human race..."
play sound "audio/sfx/powerup1.ogg"
play bgm2 "audio/sfx/noisytavernmana.ogg"
play music "audio/music/understanding technology.mp3"
$ renpy.music.set_volume(1, 6)
$ renpy.music.set_volume(.5, 1, "bgm2")
show whitebg
show tavernmana behind blackbg
hide blackbg
with Dissolve(1)
hide whitebg
with Dissolve(1.5)
pause .5
"...is to see all mana."

r "Look! Look! He's doing it!"

show rune mana:
    rotate 45
    xalign -.1
    yalign .5
with dis
"My surroundings seem to lose all color except for the sources of mana."
show rune:
    zoom 2.0
with dis
"Every canine in the tavern appears to me as burning torches of red and the long bright cables remind me of..."

$ renpy.music.set_volume(0, 2)
r "See? I told you there's that weird glint in his eyes when he does that!"
r "You just have to look closely! Look, from this angle!"



#CHOICE2
label whack1:
$ time = 1.5
$ timer_range = 1.5
$ timer_jump = 'notwhack1'
show screen countdown
menu:
    "Whack Rune":
        hide screen countdown
        jump morningwhack


label notwhack1:
l "......"
l "Rune, my friend. Could I have some space, please? I need to concentrate."
r "Of course! Just tell me, how does my hand look to you now?"
show redbg
with dis
"...and he puts his big doggy paw right on my face. He's basically covering all of my vision."

label whack2:
$ time = 1.5
$ timer_range = 1.5
$ timer_jump = 'notwhack2'
show screen countdown
menu:
    "Whack him!!":
        hide redbg
        with dis
        hide screen countdown
        jump morningwhack

label notwhack2:
l "......"
l "...it's red. Also, warm and smells surprisingly clean."
hide redbg
with dis3
r "Of course! We Huskies are a very clean clan! Here in the Shelter, I've been taking baths twice a day!"
l "Good for you! Can I get back to work now? Using this ability drains me..."
r "Just one more second, please! Here..."
show rune:
    zoom 6.0
    xalign .5
with dis
"He gets his face right in front of mine again but this time he opens his maw wide. He points at it."
r "Haawaa gaak?"

label whack3:
$ time = 1.5
$ timer_range = 1.5
$ timer_jump = 'notwhack3'
show screen countdown
menu:
    "WHACK!!!":
        hide screen countdown
        jump morningwhack
    "WHACK!!!":
        hide screen countdown
        jump morningwhack
    "WHACK!!!":
        hide screen countdown
        jump morningwhack

label notwhack3:

l "......"
l "...your maw is red too, but much brighter. Also, how do you get your breath to smell so fresh? You have to tell me all of your secrets later!"
r "Wouldn't be much of a secret if I just told everyone! But sure, I can make an exception for you, mate!"
r "Although, mate, you already smell amazing! Very strong and manly! I can always tell if you're around or not before I even enter the tavern!"
hide rune
with dis3
"The other dogs are nodding! Oh no... I start raising my shoulder to sniff myself but I stop. Stupid Canine noses! They are always making me paranoid about my hygiene!"
l "Haha… thanks, I guess! So, can I get back to..."
r "Wait! Just one more!"
l "RUNE! I'm going to run out of my magic juices if I don't get to the box soon!"
r "I swear this is the last one! I promise! Husky's word! Please, Luke!"
"...and he starts unbuckling the belt on his trousers..."
m "Huh? What is he..."
teak "......Chief, are you serious…?"
t "Shhh… let him do it..."
"...the belt comes off and he starts pulling down the zipper in the front of his pants..."

label whack4:
$ time = 5.0
$ timer_range = 5.0
$ timer_jump = 'notwhack4'
show screen countdown
menu:
    "...whack.":
        hide screen countdown
        jump morningwhack

label notwhack4:

$ whackrune = 0
"...screw it. Just let it happen..."
"The Husky puts his pants down just enough for me to see his junk. In mana vision."
show manaballs
with dis3
"Oh boy… It's a very nice, heavy set of sheath and balls with a thick layer of soft looking fur. They just lie there shamelessly between his thick thighs and I have a clear view on them."
"I've seen it once or twice in the past but never in my crowded tavern and never in mana vision... "
"...and the smells… oh… the smells..."
r "So? How does it look? Is it all extra red too?"
l "......well… oof...."
l "...yes it is. Super duper red."
r "What about my clan jewels?"
l "Hmm... that's very red too. Your sack kinda looks like it holds two glowing gems. Really bright. That's... interesting..."
r "Ah-ha! I told you, old man! Mana is stored in the balls!"
t "Ugh… Fine! Fine! You were right and I was wrong. I owe you a drink or whatever..."
l "......"
l "Were you two making stupid bets again?"
r "One of many!"
t "Don't worry about that, Human. You still have the box to examine."
l "...sure..."
l "...but just so you know, be aware that the mana is stored all across the body and to me it looks the brightest in the head and the chest."
t "Oh! Really? You hear that, Chief?"
r "That's because it's made there! But then it travels down and gets stored in the balls!"
l "That's..."
l "......."
l "...I want to say \"nonsense\" but I actually can't say for sure..."
r "See?"
t "He's saying he doesn't know. That doesn't mean you are right!"
teak "CAN WE JUST GET TO THE FUCKING BOX ALREADY?!"
l "I don't know, Rune? Do you want me to examine the knot too?"
teak "HUMAN....!!"
r "Naah, I'm good for now! Continue."
hide manaballs
show blackbg
with dis
play sound "audio/sfx/zipper1.ogg"
"Zzzziiip~!"
"...well then... let's get to work..."
hide blackbg
with dis
jump notasinglewhack

label morningwhack:

$ renpy.music.set_volume(0, 2, "bgm2")
play sound "audio/sfx/bonk1.ogg"
show rune
with vpunch
show whitebg
show tavern1
with Dissolve(1)
hide rune
hide whitebg
hide tavernmana
show runefull hit1
with Dissolve(1.5)
$ whackrune = 1
l "STOP THAT!!"
l "I have to concentrate! It's already tiring enough as it is!"
l "It's like, as tiring on my mind as fast pace running is on my body!"

show runefull happy1
r "But I love running! I can run all day long!"

l "I… ummm… just…!"
l "......"


"I put my hand on his shoulder and try to push him away from me with all my strength..."
show runefull:
    linear .5 xalign .45 yalign 1.1
pause 1
show runefull:
    linear 3 xalign -.1 yalign 1.2
pause 4
"...but he's so heavy he doesn't budge and I end up sliding on the bench, pushing MYSELF away from him at my arm's length."
"...oh well… I guess that works too."

l "Max, could you..."

show max smiling3 at right3
with dis
m "Sure, Luke! Next time anyone tries to disturb you, I'll bonk them for you!"
show max winking1
m "With Thistle's old but still sturdy wooden cane!"

l "Thanks!"
l "Well then..."

$ renpy.music.set_volume(.5, 3, "bgm2")
play sound "audio/sfx/powerup1.ogg"
hide runefull
hide max
show whitebg
show tavernmana behind whitebg
with Dissolve(1)
pause .5
hide whitebg
with Dissolve(1.5)
pause .5
"I concentrate and activate mana vision again. No more wasting time. I have to deal with this thing quickly while the dogs still behave..."



label notasinglewhack:

show bombmana at middleitem
show blackbg behind bombmana:
    alpha .5
with dis
$ renpy.music.set_volume(1, 0)
play music "audio/music/understanding technology.mp3" fadein 5
"So... the box, huh... Let's see..."


#countdown!
label bombtimer:
$ time2 = 388
$ timer_range2 = 388
$ timer_jump2 = 'death1'
$ countalpha = -10
show screen countdown2


"The box is smooth and cold to the touch. It weighs maybe around one kilogram. The cylinder is made out of three main compartments and there's a glass display with a bunch of little buttons on the front."
"Those metal compartments look like containers for three different kinds of mana and the display part probably contains controls of the flow between each of them."
"There are a few wires connecting the parts. They're so bright that it's really hard for me to tell apart the colors of each wire right now."
"The thing that bugs me the most is the type of parts used. That's a LOT of mana stored!"
"I've seen parts like these in powering units of some of the bigger machines around the Shelter. That's weird for just a beeping box."
$ countalpha = 60
with dis3
"I look at the front of the box again and examine the glass display. Now that I can see mana, the symbols on it are revealed. It's on some kind of a countdown."
"The buttons are a simple set of ten digits plus a few more for navigating the menu. The display itself shows a countdown and a few extra symbols."
"I try pushing each button but nothing changes on the display. I'm unable to change in any way whatever Rune set with his random button pushing."
"The countdown keeps going, making a beep with each passing second."
"What's going to happen when the countdown reaches zero? Would it just go quiet again?"
"However, those mana storage compartments are really bugging me. A simple effect like this shouldn't require that much power."
"From the construction of the box I can guess that the base for the effect is the purple mana, the color of the Ungulate races. The red and orange correspond to Canine and Feline mana respectively..."

play bgm2 "audio/music/noisytavern.ogg" fadein 5
$ renpy.music.set_volume(.2, 3, "bgm3")
$ renpy.music.set_volume(0, 5)
show whitebg
show tavern1
hide blackbg
with Dissolve(1)
hide bombmana
hide whitebg
hide tavernmana
with Dissolve(1.5)
l "...hey guys…"
l "Does any of you know what's the Ungulate spell that uses Canine and Feline?"

show max surprised1 at right3
with dis
m "Huh? That would be..."

show rune happy1 at mid3
with dis
r "I know! I know! That's Breath of Colchis!"
$ renpy.music.set_volume(.3, 5)
play music "audio/sfx/heartbeat.ogg" fadein 10
r "A MASSIVE explosion of scorching hot purple flames! Hot enough to melt stone and steel!"
show rune irritated1
r "I once fought a bull general who wielded that magic. Truly devastating..."

show thistle focused2 at left3
with dis
t "Oh! I think I know which one you're talking about. We lost so many good boys in that battle..."

show rune talkhappy1
r "We did… but we won in the end! Nothing can waver Canine bravery and unity!"
show rune laughing1
r "Even against an enemy who could incinerate a whole platoon with a single magic breath, we stayed united and remained victorious!"

show max surprised2
m "...why... Luke... why are you asking...?"

hide rune
hide max
hide thistle
show bombdefault at middleitem
with dis
$ renpy.music.set_volume(.5, 5)
"My hands start sweating as I hold the box and stare at the countdown on the display. Somehow, the box seems much heavier now than it felt before..."
"Could it really be it? An explosion magic?! This is bad! Really bad!"
"Now I have some idea what the box's true nature may be… but what should I do? Should I tell the others?!"



label panicornot:
$ time = 5.0
$ timer_range = 5.0
$ timer_jump = 'morningcalm'
show screen countdown
menu:
    "Deep breath... Deep breath..."
    "Panic":
        hide screen countdown
        jump morningpanic




label morningcalm:
$ renpy.music.set_volume(0, 10)
"No... I need to calm down. There is still enough time. I can deal with this. This is not the first time we're dealing with dangerous relics."
"If only I could sever the connection between the control panel and the blasting section, we can disarm it."

l "......"
l "Do any of you have a knife?"

show max surprised1 at tran44
with dis
m "A knife, huh?"

show runefull thoughtful2 at left behind bombdefault
with dis
r "I have a sword."
hide runefull
with dis
l "That's too big. I need something to cut some of these cables."

show teakfull surprised1 behind bombdefault
with dis
teak "WHAT?! Why would you…!"
show teakfull shouting2
hide bombdefault
with vpunch
teak "NO! That's enough! GIVE IT BACK! I'm not letting you ruin my gift!"

show teakfull serious1
"Teak leans over the table and rips the box off my hands. He puts it in front of him on the table and glares at me. I don't have time for this..."

l "Teak, give it back. You don't know anything about this box. You have no idea what it is."

show teakfull serious2
teak "Yeah! I don't! I'm a Canine, not a Human! Like everyone here!"
show teakfull shouting2
teak "But that doesn't mean you own everything we don't understand!"

show teakfull serious1
show max serious2
"Huh...? What is he..."
"We REALLY don't have time for this. With each passing beep, we are one step closer to the bomb blowing everyone up. I can't help but feel offended by Teak's attitude though..."

l "Seriously, what the hell are you on about?! What have I ever done to you?!"

show teakfull serious2
teak "You think you are SO special just because you are the only Human here?"
show teakfull shouting2
teak "You think we NEED you? We don't! Everyone here would be better off if..-"

show max angry1
m "Teak! SHUT UP!"

show teakfull surprised1
t "!!"

l "......"
l "I'll be back in a moment."

hide teakfull
hide max
with dis
"I stand up and lean in toward Max to whisper to him."
"Max, just like me, is experienced in dealing with the relics so I trust him to not panic when I tell him the truth about the box. He helps me a lot around the Shelter with all kinds of machinery."
"Plus, he has the best nose in the whole Shelter. He is the only one who can sniff out the cables connecting to the blasting cap in the limited time we have."

m "......"
m "!!"

"He nods in understanding. I nod back and hurry towards the kitchen to grab a knife."
show burryfull talking1
with dis
"On my way, I see Burry. He seems to be in an especially good mood!"

b "Oh, Luke! I was about to call you. We have a lot of work to do."

l "In a moment! I need to deal with something quickly."
l "Can I have your knife?"

show burryfull calm1
show knifedefault at tran41
with dis
b "Oh, of course! Here."
show burryfull talking1
b "Teak gave it to me. Such a nice gesture..."
show burryfull talking2
b "I know there's magic on it. Can you examine it sometime?"

l "Sure, but not right now. I really have to hurry!"

b "Oh, and see if Teak finished his stew so I can--"

hide burryfull
hide knifedefault
with dis
"I take the knife from Burry and rush back before he has a chance to give me any further reply."
"When I get back to Max's table, he's the one holding the bomb and he sniffs it all over. Teak sits quietly and avoids my gaze."
show bombdefault at middleitem
show max serious1  at tran44
with dis
"I put the knife on the table in front of Max. It's better if he's the one doing the cutting, not me..."

l "You got this?"

show max smiling2
m "...yeah. I can do it."
m "The green and the blue cables connect to the blasting cap. If only I can cut these two..."

show thistle listening1 at tran41
with dis
t "Why are you kids being all so secretive? Is something wrong with the box?"

show max laughing3
m "No, everything is okay! You'll find out in a moment!"

hide thistle
show rune happy1 at tran41
with dis
r "Ooooh~ Secrets! I like secrets!"

show max laughing1
m "Well, I'm sure you'll love this one! Just give me a sec..."

hide rune
show max smiling1
with dis
"Max takes a deep breath and stares at the bomb with Burry's knife in his hand."

show max serious1
m "......"

"With perfectly steady hands, he holds the green cable and brings the blade to it. He applies pressure..."
play sound "audio/sfx/slice1.ogg"
"...and slices."
show max serious2
"Nothing happened. I hear Max making a quiet gasp of relief. I quickly grab the endings of the severed cable and keep them secured apart. We can't let two different cables connect or that could set the bomb off."
show max surprised1
"Max takes a moment before he brings the knife to the blue cable. Now his hand is shaking. He stares at the cable and keeps the blade close to but he doesn't make the cut. He hesitates."



#CHOICE
menu:
    "Max is nervous. He can't bring himself to cut the other cable."
    "Encourage":
        jump morningencourage

    "Suggest re-sniffing":
        jump morningresniff




label morningencourage:

l "Max… you've got this."
l "If there's one thing that I can bet my life on, it's your nose. If you say it's the blue cable, it IS the blue cable. I believe in you and your nose."
show max serious1
"I smile. Max loves cheesy pep talks, so I hope this encourages him."
l "I would give you thumbs up but, you know..."
"I move my hands holding the severed cable. I give him a wink instead."
show max smiling4
m "......"
show max winking1
"He nods and smiles. Then, he takes a deep breath and..."
show max serious1
play sound "audio/sfx/slice1.ogg"
"...slices the blue cable."
show max laughing2
"......we're still alive!!"

show max laughing1
m "Oh my..."

l "Okay, now sniff it again."

jump morningcalmdisarm



label morningresniff:
l "Max… if you're not sure, how about you take another sniff?"

show max serious2
"Max makes an audible gulp and all sniffs over the cables again."

show max surprised1
m "...yeah… I think it's the blue one."

l "You think?"

show max panic1
m "Y-yeah…?"

"He's getting more and more hesitant. I'm getting more nervous too..."

l "...should I get Burry for a second opinion?"

m "No, no, no! We don't have time. It is the blue one, I'm sure!"

l "You weren't sure a moment ago..."

play sound "audio/sfx/growl2.ogg"
"I hear a growl at the other side of the table. Oh no, it's Teak again... This whole situation is about to get out of hand again, isn't it?!"

show max serious2
m "......"
show max angry1
m "I'm sure now! Let me do it!"

"Max takes a loud, deep breath and brings the knife to the blue cable. He grits his teeth and tenses up..."

m "COME ON...!!"

play sound "audio/sfx/slice1.ogg"
$ timer_jump2 = "dopop1"
show max panic1
"......"

show max laughing2
"...the blue cable is severed… and we're still alive!"

l "...okay…"
l "...maybe try sniffing again now? Just to be sure."



label morningcalmdisarm:

show max serious2
m "......"
show max serious1
m "There's no connection anymore. Do you think it's safe?"

l "Well… we're about to find out..."

#LAST COUNTDOWN1
label dopop1:
hide screen countdown2
show blackbg
with Dissolve(1)
$ renpy.music.set_volume(0, 1, "bgm3")
pause 1
play sound "audio/sfx/countdown.ogg"
label lastbombtimer1:
$ time2 = 3
$ timer_range2 = 3
$ timer_jump2 = 'disarmed1'
$ countalpha = 200
show screen countdown2

with Dissolve(1)
label disarmed1:
pause 5
hide screen countdown2
show error:
     xpos .15
     ypos .07

"It worked! As expected, the countdown finishes and stops at zero, without activating. After a moment, an \"ERROR\" message pops up. Both me and Max sigh in relief."

hide error
hide bombdefault
hide blackbg
show max laughing2
with dis
l "Woah… good job, Max!"

show max laughing1
m "Of course! You can always count on my nose!"

show rune happy1 at tran41
with dis
r "So, what was it? What was it?!"

show thistle listening2 at mid3
with dis
t "Spill the beans, Human! What exactly was that box?"

l "Okay! Okay! Just don't freak out…"
l "Remember how I asked you about that explosion spell, Breath of Colchis? Judging by the construction of the box and the types of mana stored…-"

hide rune
hide thistle
show teakfull serious2
show max surprised1
with dis
teak "...I brought a bomb with me and it was about to explode, right?"
show teakfull ashamed1
teak "You could have just told us that… and not keep us in the dark."

hide teakfull
with dis
"Teak stands up and walks away toward the table with his travelling pack. Max looks at him with worry in his eyes."

show max surprised2
m "...ummm…"
m "...sorry guys, I'll catch you later!"

hide max
with dis
"He grabs his and Teak's mugs and goes to the same table to join them."
"In the corner of my eye I can see Max handing Teak his mug and chatting him up. Regardless of anything he said to me, I hope he's not beating himself over this accident..."
show rune laughing1 at left3
show thistle laughing1 at right3
with dis
"Only me, Rune and Thistle remain at the table. I finally look at their faces. They look… well, I didn't expect a reaction like that. But maybe I should have."

r "Hahaha! That's hilarious!"

show thistle happy1
t "This morning is getting better and better!"

show burryfull talking2
with dis
b "Why? What happened?"

l "Ummmm… You see, Burry..."

show rune talkhappy1
r "Teak gave Max a hecking BOMB as a gift!"

show burryfull surprised1
show thistle laughing1
t "And it almost blew in our faces!"

show burryfull panic1
b "WHA--?!"

show rune sideblep1
r "If it wasn't for Luke and Max, we would be all dead now!"

show burryfull concerned1
b "......"

l "Haha… haaaaa…….."

show burryfull serious4
show thistle happy1
b "......"
show burryfull serious3
b "Luke… why didn't you evacuate everyone?"

show burryfull serious4
l "I dunno. I was confident we could deal with it?"
l "That's not the first time we dealt with something like that. Why make everyone panic needlessly?"
l "Besides, tonight we're setting the Skies Ablaze. What's a single bomb compared to that?"
"Burry looks around the tavern, deep in thoughts, unconvinced. However, after a few moments..."
$ renpy.music.set_volume(1, 5)
play music "audio/music/lazy shelter.mp3" fadein 5
show burryfull calm1
with dis3
"...a gentle smile appears back on his muzzle. I look in the direction he's staring at. Teak is making a toast with his pack. All of them are cheering and laughing along with Max."
"They act like the whole bomb incident never happened. All of the other dogs in the tavern are in high spirits too."

b "......"
show burryfull talking1
b "You know… I feel like I should be mad at you, but you're right. Today is the day for Teak and everyone to be happy. That's what's important."
show burryfull  talking2
b "Maybe you acted a bit reckless but you did the right thing, Luke. Good boy."

"Burry puts his big hand on my head and gives it a couple gentle pats. I blush a little from those compliments."


jump afterbomb




label morningpanic:

$ renpy.music.set_volume(0, .5)
$ renpy.music.set_volume(0, .5, "bgm2")
show teak surprised1 at left3 behind bombdefault
show thistle surprised1 at right3 behind bombdefault
show rune thoughtful2 at tran41
show max surprised1 at tran44
with dis

l "...this is a bomb!"

show max surprised2
m "...huh?"

show thistle confused1
t "A what?"

show teak shouting2
teak "T… THAT'S BULLSHIT! This is a musical instrument, not a…-!"

l "NO! It's a time bomb! AND IT'S ABOUT TO EXPLODE!"

show teak surprised1
show rune worried1
show thistle surprised1
show max surprised1
"Everyone" "..............."
"Everyone" ".................................."
"Everyone" ".........................................................."

show rune panic1
r "AAAAHHH!!"

$ renpy.music.set_volume(.5, .5)
$ renpy.music.set_volume(.5, 0, "sound")
play sound "audio/sfx/clang2.ogg"
hide teak
hide rune
hide thistle
hide max
show bombdefault:
    linear .2 yalign 2.2
show runefull panic1 at left
with Dissolve(.5)
with vpunch
"In panic, Rune grabs the box and slams it onto the floor with full force."
play sound "audio/sfx/sword1.ogg"
show runefull unhappy2
"To everyone's dread he reaches for the handle of his sword."

show max panic1 at right3
with dis
m "Rune, NO!"

hide max
with dis
"Stupid dog!"
show runefull unhappy1
play sound "audio/sfx/swoosh1.ogg"
with hpunch
"As Rune swings his blade, I leap and cover the bomb with my own arm. The edge of the sword comes to a full stop so close to the skin that it actually cuts the hairs on my forearm."

$ renpy.music.set_volume(1, 0, "sound")
show runefull unhappy3
r "Luke, move! We have to destroy it!"

l "You IDIOT! If you cut it all, you will set it off!"

show runefull worried1
r "Then what do we do?!"

show thistle shouting1 at right3
t "Take it outside! Now!"

l "There's no time!"

show runefull panic2
with dis
r "Awoooo~!!"

hide thistle
show runefull at left
show burryfull surprised1 at right3
with dis
b "Luke…? What's the commotion…?"

l "Burry! Give me your knife, please!"
show burryfull serious1
l "...and Max! Here!"

hide burryfull
hide runefull
hide bombdefault
show max panic1 at tran44
with dis
"I grab the bomb and toss it to the Dachshund. He stares at me wide eyed."
"In the meantime, Burry hands me the knife he got from Teak and looks at us confused."

show bombdefault at middleitem
show max serious1
with dis
l "Max, sniff the cables! Which ones connect to the blasting caps?"

"While everyone in our group is shaking in obvious panic, Max is the only one who manages to regain his composure. He nods and brings the box closer to his nose."
show max serious2
"Everyone stares at him in silence as he inspects it with short sniffs and his eyes closed."

m "......"
show max serious1
m "...this one… and this one. The green one and the blue one."

"I nod, lean over and immediately put the knife against the green cable."

menu:
    "I'm about to cut the green cable..."

    "Cut the green cable":
        jump aftermorningsure1

    "Are you sure...?":
        jump morningunsure1

label morningunsure1:

l "Are you sure?"

show max serious2
m "Yes, I'm sure."

l "Umm..."

show max serious1
m "Green cable. Cut it."

l "Okay..."


label aftermorningsure1:
"I grit my teeth… apply more pressure on the green cable with the knife and..."
play sound "audio/sfx/slice1.ogg"
"......"
"The green cable is cut in half. Nothing happened."
"I feel my heart beating in my chest wildly as I look at the blue cable. I take a deep breath and put the knife against this one now…"


menu:

    "I'm about to cut the blue cable..."

    "Cut the blue cable":
        jump aftermorningsure2

    "Are you SURE about the blue one, Max?!":
        jump morningunsure2

label morningunsure2:

l "Are you SURE about the blue one, Max?!"

show max surprised2
m "I'm sure! Do you not trust me?"

l "I do, but… just..."

show thistle shouting1 at tran41
with dis
t "Just cut the damn cable, Human!!"

show max serious1
hide thistle
with dis
"I squeeze my eyes shut and struggle to keep the knife steady while applying the pressure against the blue cable."

label aftermorningsure2:

l "Ughhh… please..."

"......"
play sound "audio/sfx/slice1.ogg"
$ timer_jump2 = "dopop2"
"............!"
"..................okay..."

$ renpy.music.set_volume(0, 5)
l "Sniff now. Just keep these cables separate, don't let them touch."

show max serious2
m "......"
m "............"
show max serious1
m "There is no connection anymore."
m "Do you think it's safe now?"

l "Let's hope so…"




#LAST COUNTDOWN1
label dopop2:
hide screen countdown2
show blackbg
with Dissolve(1)
$ renpy.music.set_volume(0, 1, "bgm3")
pause 1
play sound "audio/sfx/countdown.ogg"
label lastbombtimer2:
$ time2 = 3
$ timer_range2 = 3
$ timer_jump2 = 'disarmed2'
$ countalpha = 200
show screen countdown2


with Dissolve(1)
label disarmed2:
pause 5
hide screen countdown2
show error:
     xpos .15
     ypos .07


"It worked! As expected, the countdown finishes and stops at zero, without activating. After a moment, an \"ERROR\" message pops up. Both me and Max sigh in relief."

$ renpy.music.set_volume(.5, 5, "bgm2")
show thistlefull tired1 at left
show maxfull laughing2 at right
show runefull confused1
hide max
hide blackbg
hide bombdefault
hide error
with dis
"Everyone else in the group follows up with their own sighs in perfect unison. The tension lifts and they look so relieved."
hide thistlefull
hide maxfull
hide runefull
show teakfull ashamed1
with dis
"Everyone… except for Teak."

teak "......"

hide teakfull
with Dissolve(1.5)
"He stands up without a word and goes to the table with the rest of his travelling pack."
show max surprised2 at right3
with dis
m "H-hey, Teak!"
show max smiling2
m "...ummm… sorry guys, I'll catch you later!"

hide max
with Dissolve(1.5)
"Max grabs his and Teak's mugs and goes to the same table to join them."
"In the corner of my eye I can see Max handing Teak his mug and chatting him up. I hope he's fine..."

l "...wow… that was..."

show thistle tired1 at right3
with dis
t "I'm too old for that…! My poor heart! I thought that all you kids were done for!"

show burryfull surprised1
with dis
b "Huh? Why? What exactly is this box?"

show burryfull talking1
l "Ummm… probably a..."
l "Could be a bomb… probably…?"

show burryfull panic1
b "A WHAT?! A bomb?!"
show burryfull concerned1
b "Luke! Why didn't you evacuate everyone in the tavern?! I cannot believe that! I..."

l "SORRY!! I-I kind of panicked…!"

show burryfull serious2
b "Do you have any idea what would have happened if...!"

show rune talkhappy1 at left3
with dis
r "Hey! Hey! It's okay!"
show rune happy1
r "We all took immediate action and saved everyone! It all worked out in the end! Right?"

show burryfull serious3
b "Yeah, but… if you just let everyone know...! Then..."

show rune listening1
show thistle listening1
show burryfull serious4
with dis
"Burry lets out a quiet groan and looks around the tavern. He stands quiet with his arms crossed as he stares somewhere. Slowly..."
play music "audio/music/lazy shelter.mp3"
$ renpy.music.set_volume(1, 5)
show burryfull calm1
with dis3
"...a gentle smile appears back on his muzzle. I look in the direction he's staring at. Teak is making a toast with his pack. All of them are cheering and laughing along with Max."
"They act like the whole bomb incident never happened. All of the other dogs in the tavern are in high spirits too."

b "......"
show burryfull talking2
b "...you know… maybe this is not the worst outcome..."

show burryfull calm1
show thistle happy1
t "Yeah, Burry! Today is the day to celebrate, not to mope!"

show rune talkhappy1
r "Yeah! Yeah! Tonight we're setting the Skies Ablaze! What's this tiny firecracker compared to THAT?"

show thistle laughing1
t "You're half my age but worry twice as much! You have to learn to loosen up while you're young or you'll grow up into a bitter old man! Hahaha!"

l "Guys, you can stop. Burry is right. I shouldn't have...-"

show burryfull surprised1
b "No. It's okay Luke. You did what you thought was right at that moment. Let's not delve on what could have been."
show burryfull talking1
b "It's somehow... funny. By panicking yourself, you spared the panic to the others. They can pass their morning in blissful ignorance."
show burryfull calm1
b "Today is the day for Teak and everyone to be happy, after all. Let's focus on that."

show thistle happy1
show rune listening1
with dis
"Burry puts his big hand on my head and gives it a couple gentle pats."


label afterbomb:

show burryfull surprised1
b "Just make sure it doesn't blow up randomly, okay? Put a lock on it or something. I have to go back to the kitchen for now."

l "Okay. Grab me the tape for the cables while you're there, could you? At the bottom shelf."

show burryfull calm1
"Burry nods and walks away with his big fluffy tail wagging gently."
hide burryfull
hide thistle
hide rune
with dis3
"He is generally the one who's the most down-to-earth among the dogs and the one most prone to worry… but it looks like he's learned to take things a bit easier recently."
"I guess he had to. The Shelter is a chaotic and unpredictable place. Incidents like this one pop out all the time..."

l "Well then, a lock, huh..."

"I'm getting a bit exhausted but I need to push myself to see the mana once more..."
"......"
play sound "audio/sfx/powerup1.ogg"
show whitebg
show tavernmana behind whitebg
show bombmana at middleitem behind whitebg
with Dissolve(1)
pause .5
hide whitebg
with Dissolve(1.5)
pause .5
"......"
"Okay..."
"The countdown finished and the display shows an error. That's good. I close that prompt and browse through the menus to look for the code lock option."
"I've dealt with interfaces like that already… it should be..."
"......"
"Ah-ha! There it is! \"Input PIN\". Four digits..."

#PIN
label pininput:
python:
    pin = renpy.input("What code should I input?", allow="0123456789", length=4)
    pin = pin.strip()

if len(pin) < 4:
    "\nInvalid PIN\n"
    "Hmmm..."
    jump pininput



l "...there..."
show whitebg
show tavern1
with Dissolve(1)
hide bombmana
hide whitebg
hide tavernmana
with Dissolve(1.5)
pause .5

b "Luke!!"

label morningcatch:
$ time = .5
$ timer_range = .5
$ timer_jump = 'notcaught'
show screen countdown
menu:
    "Huh?"
    "Catch!":
        hide screen countdown
        jump caught



label notcaught:

play sound "audio/sfx/bonk1.ogg"
with hpunch
"Ow-ow-ow!! I rise my head just in time be hit by the roll of tape thrown to me across the tavern by Burry! My poor face!"

b "Oh no! I'm so sorry, Luke!"

l "It's fine! It's fine! Ouch..."

"I give him thumbs up with a smile. Even smiling hurts now... but that's not Burry's fault. I should have reacted faster."
"Instead of worrying about my face, I focus on securing the bomb. I unroll the tape and insulate the ends of the cut cables, one after another."
"One cable... two cables... three cables..."
"I hum to myself and take a moment to admire the death box that almost blew all of us up. I kinda like its design."

jump aftertape



label caught:

"I raise my hand and catch a roll of tape thrown to me by Burry without even taking my eyes off the display."

show rune happy1 at left3
show thistle listening1 at right3
with dis
r "Hey, nice catch!"

show rune listening1
"I put on a smug grin and work on insulating the ends of the cut cables. One… two… three… four..."



label aftertape:

show rune talkhappy1 at left3
show thistle listening1 at right3
with dis
r "You look like you're having so much fun with it..."

l "Haha, do I?"

show thistle listening2
t "You sure do. You have that dumb smile plastered over your flat Human muzzle."

show thistle listening1
show rune listening1
l "I mean, yeah… I find these things fascinating! Someone in the past found a way to put powerful magic into a little box like this. This thing could have blown all of us up..."
l "...but it's also thanks to the same kind of technology that we got the Shelter. I want to discover all of its secrets and share those wonders with you all!"
l "Isn't it the same for all of you? For Teak and everyone? All of us, for different reasons, are brought together by the curiosity of this magitech one way or another."
l "It can be dangerous, sure… but that's exactly why we need to understand it. And while I'm at it, why not have fun?"

"I hand the safe and secured box over to Rune."

l "Here, it should be kinda safe now. Could you take it to the vault?"

show rune happy1
r "Sure can! I'm just gonna have one more mug of ale and I'll be on my way!"

l "Awesome! Just don't forget, okay? It's still potentially dangerous. Don't want it lying around."

show rune laughing1
r "Got it! Leave it to me! I'm definitely NOT going to forget to take it to the vault! Husky's word!"

"(Rune received Chekhov's Bomb.)"

show max laughing2:
    rotate 45
    xalign -.1
    yalign .5
    zoom .8
with dis
m "Luke, Luke! Could we have six refills here?"

show thistle happy1
t "I will have one as well, if you don't mind. I'm still way too sober for my liking."

hide max
hide rune
hide thistle
with dis3
"Suddenly more and more dogs at the tavern started raising their hands and asking for drinks and food. Were they waiting for me to finish with whatever I was doing with the box?"

l "Sure, sure, I'm on it! Just a mo-"
play sound "audio/sfx/powerup1.ogg"
show whitebg:
    alpha .8
with pixellate
show whitebg:
    alpha .4
with pixellate
"I try to stand up in a hurry but my vision is covered by bright sparks and my head feels heavy. I flop back down on the bench."
"Huh… I might have overdone it with the mana vision..."

r "...Luke…?"

l "Sorry! I'm..."

"I rise up again, slower this time, and walk to the bar. I'll be fine as long as I pace myself."
hide whitebg
with dis3
"As I start filling the mugs, I hear some new voices at the entrance of the tavern. Another group of adventurers has returned!"
"Just like with Teak's group, the newcomers are greeted with cheerful barks, howls and celebrations."

l "This is going to be a busy morning, huh..."

"???" "Isn't that exactly what you want?"

l "?!"

show fullalon listening1 at middleitem:
    yalign -.1
with dis
"I turn my head and see a black cloaked figure, sitting by the bar and smoking."
"It's Alon. Our local rogue edgelord wolf. I didn't even realize he was here! He's as good at stealthing as ever..."

l "...how about you join them? Make some friends, you know?"


show fullalon listening2
"Alon inhales the smoke and blows it out slowly."

a "...I am a lone wolf. I have no need for friends."
show fullalon listening1
a "What I have a need for is some booze to drink my sorrows away. You never came to my table to serve me."

l "How about the next time you simply call me or something? I can never notice when you come."

"I hand him over the first mug I fill. He, in turn, looks at me with his blood red eye."

a "...that is not the rogue's way."

show fullalon listening2
"...and he takes a sip."
"Alon... is a weird one. He is a relatively new addition to the Shelter, from a few months ago."
"Nobody knows what his deal is. He always sits at the table in the darkest corner in the tavern and doesn't interact with the other dogs."
"I think I am the only one he's willing to talk with at all. Maybe because I'm not a Canine? I don't know..."

l "Come to think of it, isn't tonight your first Skies Ablaze since you joined? I'm surprised you came here today at all. I would have thought that you'd rather avoid big social events."

a "......"
a "...I assure you, I have no interest in your dumb celebrations."

"Alon grabs the mug and takes another long sip."

l "...oh come on!"
l "Admit it. You want to have fun with everyone tonight. No need to be shy about that!"

show fullalon listening1
"Alon glares at me with his one eye and groans."

a "...you wouldn't understand my motives."
a "...not yet, at least."

hide fullalon
with dis
"He grabs his mug and walks back to his dark corner. So mysterious… wooo~!"
"I chuckle and get back to filling the mugs."

#(Slightly changed if the code you input is four of the same digits, 1234 or 0123)

if pin in ["0123", "1234", "2345", "3456", "4567", "5678", "6789"]:
    "...however, he stops."

    show fullalon listening1 at middleitem:
        yalign -.1
    with dis
    a "By the way, you should take security more seriously."
    a "[pin]? Really? Are you stupid? Do you WANT everyone to die?"
    a "Anyone would try consecutive digits first. Get your shit together."
    hide fullalon
    with dis
    l "Hey! Listen, you...!"
    "......"
    "...and he's gone."
    "Seriously, what is his problem! Was he staring at my fingers all that time when I was messing around with the bomb?!"
    "...then again, that's nothing new."

elif pin in ["0000","1111","2222","3333","4444","5555","6666","7777","8888","9999"]:
    show fullalon listening1 at middleitem:
        yalign -.1
    with dis
    a "By the way, you should take security more seriously."
    a "[pin]? Really? Are you stupid? Do you WANT everyone to die?"
    a "Even a blind pup could unlock it by bashing the same digit over and over. You're not even trying."
    hide fullalon
    with dis
    l "Hey! Listen, you...!"
    "......"
    "...and he's gone."
    "Seriously, what is his problem! Was he staring at my fingers all that time when I was messing around with the bomb?!"
    "...then again, that's nothing new."

else :
    show fullalon listening1 at middleitem:
        yalign -.1
    with dis
    a "By the way..."
    a "...good job."
    hide fullalon
    with dis
    l "Huh?"
    "......"
    "...and he's gone."
    "That was... weird. I can never tell what's going on in his head..."
    "...then again, that's nothing new."


"Alon has been acting weird ever since he came here... but honestly, I don't think he's a bad person. Actually, I suspect he exaggerates his \"cool\" and cryptic act a bit for the show sometimes..."
"I like him as he is, though. I like every dog in the Shelter. Teak, Rune, Max, Thistle, Burry, Alon… they are all dear to me."
"The Shelter is full of all different kinds of dogs and all of them are welcome here. This place gathers all those misfits and I believe it changes them for the better."
"Take Teak for an example. When he first came here, he used to be an unstable, angry asshole, hostile to everyone around. He used to be dangerous to approach."
"Now, he sits at the same table with the dogs of smaller breeds, laughs, cracks jokes, shows off… Like a completely different person!"
"As I look at them, I can't help but smile myself. This place as a whole has really grown over the years, just like every individual dog in it has, huh?"
"I have to keep working hard to give them the Shelter they deserve! Even if I can't take part in tonight's celebrations myself, I'm still going to give them a night to remember!"
"Tonight's going to be a great night!"


scene blackbg
stop bgm2 fadeout 3
stop music fadeout 3
with Dissolve(2)
pause(3)

jump intermission1
