label morning_dogdongs:

    # These display lines of dialogue.
    $ renpy.music.set_volume(1, 5)

    show runefull:
        xalign 0.25
        yalign 1.0
    with dis
    "In the end, it’s just too hard to ignore Rune."
    "The big husky's table is usually one of the loudest in the whole tavern. His strong voice and lively personality really stand out from the crowd."#
    show thistlefull at right3:
        yalign 1.5

    with dis
    "Right now I can hear him discussing something with old man Thistle. I think something about weapons and fighting styles?"
    "That would make sense. That’s one of the things that these two have in common. Thistle is already retired from the battlefront while Rune is an active fighter, in the prime of his strength."
    "Listening to the stories of these two seasoned warriors is always a treat. Especially when they get extra lively and expressive after a few rounds of booze."
    hide runefull
    hide thistlefull
    with dis
    "But this time... I can’t put my finger on it... but something just doesn’t seem right?"
    "Luckily for me, someone just left the table near theirs so I take the opportunity to clean it and eavesdrop a bit before I decide whether to join them or not." #
    "It's not hard, since they aren't being quiet about it..."#

    show rune irritated1 at left2
    show thistle focused1 at right2
    with dis

    r "......"
    show rune talkstern1
    r "Listen... it’s like when you put a warrior with a mace against one with a pike."
    show rune talkstern2
    r "A skilled pike wielder will be the first to score a clean hit. Every time. That extra reach is crucial!"

    show rune stern1
    show thistle listening1
    t "But a pike won't blow your guts out as delightfully as a thick, heavy mace will."
    show thistle focused1
    t "In all things, the impact is what matters."

    show rune irritated1
    r "But girth won't take you to the places that length will! That's just common sense!"

    show rune stern1
    show thistle focused2
    t "With enough pressure, you don't need to go far to make them squeal! Every man knows that."
    show thistle irritated1
    t "Sounds like you are still an inexperienced pup after all, Chief!"


    show rune snarling1
    play sfxchannel2 "audio/sfx/growl2.ogg"
    r "Oh I would bet you I've got more experience in my short life than you've had in your last half a dozen decades, Sir!"

    show thistle furious1
    play sound "audio/sfx/growl1.ogg"
    t "Grrrr!! Of course you have! You are hecking gorgeous! I would do you too if I were a few years younger!"
    show thistle shouting1
    t "But that still doesn't change the fact that you are a fool!"

    show rune shouting1
    show thistle furious1
    r "Oh trust me, I would do you right now if I weren’t so mad at you, you old handsome bastard! But flirting won't solve the issue at hand!"

    "Seriously... what are you even talking about?!"

    show rune irritated1
    show thistle focused1
    stop sound fadeout 1
    t "It indeed won't. This is one of those unsolvable discussions dating as old as the Canine race itself..."
    show thistle disappointed1
    t "Ughh... what a headache..."

    r "......"
    show rune talkstern1
    r "...then..."
    show rune littleblep1
    r "...how about we ask someone who ISN'T a Canine?"

    show thistle focused1
    t "Oh? An outsider's opinion?"
    show thistle confused1
    t "Why not! That's a great idea!"
    show thistle listening1
    show rune sideblep1
    t "Hey! Human! Human! Luke! Come here, boy!"

    "...an outsider, huh."
    "I stop wiping the table and approach them with a smile." #

    l "Hey guys! What's up?"

    show thistle listening2
    t "You heard us, didn't you? Which one of us is in the right here?"

    show thistle listening1
    l "I'm a bit confused. Are you still talking about armed martial arts, or...?"

    show thistle surprised1
    show rune littleblep1
    r "???"

    show thistle confused1
    t "What? Martial arts? Oh no!"

    show rune happy1
    r "Haha, no, mate!"
    show rune laughing1
    r "We're talking about DONGS!"

    show thistle happy1
    t "Dongs, son! Dongs!"

    l "......"
    l "...of course you are."

    "Another thing they have in common is that they are both shameless horndogs..."
    "......"
    "...I like that too."

    show rune listening1
    show thistle listening1
    t "Listen..."
    show thistle focused1
    t "Chief Rune here is wrongly spouting that the longer it is, the better."
    show thistle irritated1
    t "I'm trying to correct him by saying that a nice thick knot is what really defines a dog!"

    show thistle focused1
    show rune talkstern1
    r "With a longer shaft, you can reach so many deep spots!"

    show rune stern1
    show thistle irritated1
    t "But a good knot will make both of you feel like you're in heaven regardless!"
    $ renpy.music.set_volume(0, 5, "bgm2")
    t "So what do you think matters the most?"

    show rune unhappy3
    r "Shaft or knot? What's more important? Please tell us!"

    show thistle shouting1
    $ renpy.music.set_volume(0, 5)
    t "You have to end this millenia old dilemma once and for all, Human!"

    show angrydogs behind rune, thistle
    show rune:
        alpha 0
    show thistle:
        alpha 0
    with dis
    "......"
    "...why did the whole tavern suddenly go quiet?!"
    play music "audio/sfx/heartbeat.ogg"
    $ renpy.music.set_volume(1, 5)
    "All those eyes locked on me..."
    "I can feel the pressure of anticipation of every Canine in the tavern!"

    label menu1:
    $ time = 2
    $ timer_range = 2
    $ timer_jump = 'menu1_slow'
    show screen countdown
    menu:
        "Crap! I have to say something! Now!!"
        "SHAFT":
            hide screen countdown
            stop music fadeout 5
            $ renpy.music.set_volume(0, 0)
            play music "audio/music/lazy shelter.mp3"
            $ choiceknot=1
            jump menu1_shaft
        "KNOT":
            hide screen countdown
            stop music fadeout 5
            $ renpy.music.set_volume(0, 0)
            play music "audio/music/lazy shelter.mp3"
            $ choiceknot=2
            jump menu1_knot




label menu1_shaft:

    l "Ummm..."
    l "...the shaft, I guess?"
    l "I think that the whole point is to go deep. Rune has a point that there are many things you can only do with a longer shaft."
    l "And even when it comes to knotting, isn’t it hotter when the dong settles to squirt deeper inside?"

    "I cross my arms and tap my shoulder with my finger, deep in thoughts. Turns out I have more opinion on that matter than I initially thought."

    l "Don’t get me wrong, knots are amazing. But to me it’s all about how deep I can connect with my partner… if that makes sense…?"

    show rune laughing1:
        alpha 1
    with dis
    $ renpy.music.set_volume(0.2, 1)
    r "It does! It does! You sure know what's up, Luke, my mate! High five!"

    play sound ["<silence 1>", "audio/sfx/slap1.ogg"]

    "I barely have time to raise my left hand and get high-fived by Rune with impact I will definitely feel in my wrist for the rest of the morning. Ouch...!"
    $ renpy.music.set_volume(0, 1)
    "I laugh with him, but my smile quickly drops when I see the expression on Thistle's face."
    show thistle disappointed1:
        alpha 1
    with dis
    "His... and roughly half of the tavern's current clientele."

    show thistle disappointed2
    t "Human..."
    t "...I am utterly disappointed in you."

    show thistle disappointed1
    show rune sideblep1
    r "Don't be salty, old man! We both agreed to ask for his unbiased opinion! Take it with dignity!"

    show thistle focused1
    t "Yes… I guess it's my own fault…"
    show thistle irritated1
    t "...for asking for an opinion of someone who obviously couldn't possibly know anything on the subject!"

    show rune listening1
    r "That's not true! Luke is very knowledgeable in that matter! You heard with how much confidence he talked!"
    show rune happy1
    r "I'm sure he knows everything about dicks! A dick sage, I tell you!"

    l "Hahaha... that's… well…"

    show thistle furious1
    play sound "audio/sfx/growl1.ogg"
    t "A size queen, that's who he is! Nothing sagely about that!"
    show thistle shouting1
    show rune unhappy1
    t "I refuse to acknowledge the legitimacy of those statements! The only thing he proved was that he's as foolish as you are!"
    show rune snarling1
    t "KNOTS OVER SHAFTS!"

    show rune shouting1
    r "SOMEBODY HOLD ME OR I'M GONNA--...!"

    show rune:
        alpha 0
    show thistle:
        alpha 0
    with dis
    play sound "audio/sfx/growlinglong.ogg" loop
    "...oh boy. I can hear growls all across the room."
    "Are we at the brink of a tavern brawl?!"
    "And Rune is feeding into that! The one person that's supposed to enforce order in the Shelter!"
    "This is an emergency! I have to do something, quick!"

    jump aftermenu1



label menu1_knot:

    l "Ummm..."
    l "...the knot, I guess?"
    l "That's what makes a dog dong really special to me. I agree with Thistle that a good tie is a highlight of the whole process."
    l "That unbreakable bond between two partners is the most intimate thing I can imagine. So... the better that lock performs, the better the whole experience..."

    "I cross my arms and tap my shoulder with my finger, deep in thoughts. Turns out I have more opinion on that matter than I initially thought."

    l "Don't get me wrong, the shaft is important. You know, especially for humans."
    l "But personally... I want my Canine boyfriend to be as Canine as possible... if that makes sense?"

    show thistle happy1:
        alpha 1
    with dis
    $ renpy.music.set_volume(0.2, 1)
    t "Oh, it sure does! Luke, my boy! I knew you would make the right choice."

    "Thistle takes out a small metal box from the inner pocket of his coat. With a smile of a kind, caring grandpa, he opens and offers it to me."
    "There are some dog treats inside. The fancy ones. I'm not into that kind of stuff but it's impolite to refuse so I reach out to grab one."

    $ renpy.music.set_volume(0, 1)
    play sound "audio/sfx/whine1.ogg"
    "However, my hand freezes when I hear a whine..."

    show rune worried1:
        alpha 1
    with dis
    r "Luke... I thought we were friends!"

    show thistle listening1
    t "Oh, hush, pup! Luke is only being an honest boy."
    show thistle happy1
    t "And a smart one at that! Who's a smart boy? Who? Yes you are~!"

    show rune talkstern2
    r "He was only taking your side because you're a scary old geezer who would go into a tantrum otherwise..."

    show rune stern1
    show thistle confused1
    t "Me?! I would NEVER!"
    show thistle listening2
    t "But look at you! It was your own idea and you still can't accept it! How much more pathetic can you get?"
    show thistle happy1
    t "Come on, Luke, tell him again. Tell him how much you love those hot thick knots in your bum. My adorable knot slut~"

    l "Sir... I mean..."

    show rune unhappy1
    play sound "audio/sfx/growl2.ogg"
    r "That's it! Nobody sexually harasses Luke but me!"
    show rune shouting1
    r "And definitely not to prove delusions of some long expired senile old idiot!"

    show rune snarling1
    show thistle furious1
    play sfxchannel2 "audio/sfx/growl1.ogg"
    t "W-what?! You insolent...!"

    show rune shouting1
    r "SHAFTS OVER KNOTS!"

    show thistle shouting1
    t "I SWEAR, I'M GOING TO LOSE IT!"

    show rune:
        alpha 0
    show thistle:
        alpha 0
    with dis
    play sound "audio/sfx/growlinglong.ogg" loop
    "I can see Rune reaching for the handle of his sword and Thistle squeezing his metal walking cane so hard that the veins on his hand pop out!"
    "This is really starting to go South! I have to do something before they jump at each other's throats!"
    "Think, Luke, think… diffuse…!"

    jump aftermenu1





label menu1_slow:
    $ renpy.music.set_volume(0, 0)
    play music "audio/music/lazy shelter.mp3"
    $ choiceknot=3
    l "I-I don't know!"
    l "BOTH?!"


    show rune disappointed1:
        alpha 1
    show thistle disappointed1:
        alpha 1
    with dis

    r "..."

    t "..."

    show rune disappointed2
    r "That's…"

    show thistle disappointed2
    t "That's a coward's answer."

    show rune disappointed1
    show thistle disappointed1
    "......"

    show rune thoughtful1

    r "But not necessarily untrue?"

    show rune thoughtful2
    show thistle focused1

    t "Yeah... really makes you think..."
    t "A warrior's loss is often predetermined by their weakest point, after all."

    show rune irritated1

    r "And don't we all work to use our strengths to make up for what we lack?"

    show thistle confused1

    t "In the end, is this an unsolvable problem?"

    show rune worried1

    r "Or is the question itself wrong?"

    show thistle tired1
    show rune confused1
    play sfxchannel2 "audio/sfx/whine1.ogg"
    "......."
    "...was that non-answer a success? A failure? It’s hard to tell!"
    "All I can see is how increasingly distressed the dogs are getting. They really take this whole dog dong business seriously, huh?"
    "Man, I really can’t stand them looking so sad. I have to cheer them up somehow!"

    jump aftermenu1





label aftermenu1:


    show rune:
        alpha 1
    show thistle:
        alpha 1
    with dis
    l "Guys, guys... even if you can't find common ground here, is it really that important?"
    stop sound fadeout 3
    l "How about you just focus on the things you can all agree on instead?"
    l "Like, you know, all dog dongs are awesome, and..."
    l "Ummm... I... I don't know... red...?"

    show angrydogs:
        alpha 0
    with dis
    show rune sideblep1
    $ renpy.music.set_volume(1, 3)
    r "Yeah! And the darker the red, the better! Manlier!"

    show thistle happy1

    t "Oh yes, yes! Definitely! On that, I can agree!"

    l "...huh?"
    show rune happy1
    r "You think so too, don't you, mate? You like them red?"

    "......"
    "What? That's really all it took?!"
    "I learn something new about them every day, huh..."
    "But yeah, I never thought about that."

    menu:
        "Do I like them dog dongs red? Does that even matter to me?"
        "Yes! The redder, the better!":
            jump likered
        "I like them all equally.":
            jump likeany



label likeany:
    l "Sorry, but… why exactly should that matter? The color doesn't change the way it feels, right? Especially when it's inside, you know."
    show rune thoughtful2
    show thistle listening2
    l "And even aesthetically... isn't it nice to have some variety?"
    show angrydogs:
        alpha 1
    with dis
    show rune stern1
    show thistle disappointed
    l "That's what I meant when I said that all dog dongs are great. No two dongs are the same! We should embrace those differences and…-"

    show rune disappointed2
    r "I'm sorry, mate, but I have to stop you there."

    show rune disappointed1
    l "?"

    show thistle disappointed2
    t "You just don't get it. Do you, Human?"

    show thistle disappointed1
    l "Don't get what?"

    $ renpy.music.set_volume(1, 5, "bgm2")
    "I can hear exasperated sighs not only from Rune and Thistle, but also from a few other dogs in the tavern. What is this all about?"

    show thistle focused2
    t "Listen. Red is important to us Canines."

    show rune talkstern1
    r "It's the symbol of power and masculinity."

    show thistle irritated1
    $ persistent.learn1=True
    t "It shows the strength of the Canine's soul!"

    show thistle focused1
    show rune irritated1
    r "The darker the red, the better! That's not even questionable!"

    "The other dogs nod in agreement."
    "Well… this is starting to feel awkward, but I don't feel like I'm wrong. I'm only giving them my honest opinion."
    "The awkwardness still makes my throat feel dry, though. I grab a mug from the table I was cleaning before. There's still some ale in it."

    l "Like it or not, my opinion still stands."
    l "I mean, even my own is roughly the same color as my skin..."

    if persistent.learn2:
        l "You like weapon analogies? Well then... a blade of any color cuts the same, you know!"
        l "In the end, it's all up to one's skill, not the weapon..."

    "And I take a swig of the booze. Dogs and their weird customs, huh…"
    show angrydogs:
        alpha 0
    with dis
    $ flaglikered = False

    jump afterred



label likered:

    l "Haha, yeah, I guess I do! It’s called a “red sword“ for a reason!"

    if persistent.learn1:
        l "It shows the strength of Canine's soul!"
        l "The redder, the better! That's not even questionable!"

    "I grab a half-empty mug from from the table I was just cleaning and I rise it up."#
    show rune laughing1
    show thistle laughing1
    l "So cheers! FOR THE RED TEAM!!"

    play sound "audio/sfx/howling1.ogg" loop
    play sfxchannel2 "audio/sfx/angrybarking.ogg" loop
    show rune:
        alpha 0
    show thistle:
        alpha 0
    with dis
    "And just with that, cheerful dog noises fill the tavern yet again! Mugs are being held up and a mix of howling and barking echoes through the establishment!"
    "I can even hear howling far out in the different parts of the Shelter, the happiness spreading like fire. They don’t even know what we are talking about but they still return the call!"
    "I love these dogs so much. It takes just one awoo to turn somberness into lively celebration."
    "I wish I could join in..."
    "Can I join? Should I… should I awoo too?"

    $ renpy.music.set_volume(0, 0.5)
    stop sound
    stop sfxchannel2
    with dis
    a "...fools, all of you!"

    show angrydogs:
        alpha 1
    show fullalon listening2:
        xalign .5
        yalign -0.1
    with dis
    "!!"
    "From the darkest corner of the tavern, a voice cuts through the noise."
    "Like an assassin’s dagger slitting a throat, bringing back silence..."

    a "......"
    a "...in a skilled hand, a blade of any color sinks into flesh the same."
    a "And just like that, blood spilled by any edge is always the same red."
    $ persistent.learn2=True
    show fullalon listening1
    a "In the end, it always comes down to one's skill, not the weapon."

    "....!"
    "...no way! Even our resident edgelord is joining on a conversation about dicks?"
    "What is going on?!"

    show rune smirking1 at left3:
        alpha 1
    show thistle laughing1 at right3:
        alpha 1
    with dis

    t "...wow, son! That's the most I've ever heard you say in one go!"

    show rune smirking2
    show thistle happy1
    r "Anything you want to share with us, Alon?"

    show rune smirking1
    show fullalon listening2
    a "......"

    hide fullalon
    with dis
    "Alon grabs his mug and returns to the shadows to sip on it quietly."
    "Is he… blushing?"
    "Huh... that was..."
    $ renpy.music.set_volume(1, 5)
    $ renpy.music.set_volume(1, 5, "bgm2")
    show angrydogs:
        alpha 0
    show rune at left2:
        alpha 0
    show thistle at right2:
        alpha 0
    with dis
    "......"
    "Well, at least the dogs are in good mood again, so I guess that's... a success?"
    "I look at the mug in my hand and take a swig of the leftover ale."
    "It's perfectly good booze. It's a shame to just throw it away."
    "Now we can get back to talking about something fun!"

    $ flaglikered = True

    jump afterred

label afterred:

    show thistle listening1:
        alpha 1
    t "Come to think of it, I've never seen a human dong! How are you in the knot department, Human?"

    play sound "audio/sfx/spittake.ogg"
    l "!!"

    show rune talkhappy1:
        alpha 1
    with dis
    r "Silly old man! Humans don't have knots!"

    show rune listening1
    show thistle surprised1
    t "What?! Then how do you even...?"

    show thistle confused1
    l "......"

    show thistle surprised1
    t "Seriously, how does that work?!"

    show rune talkhappy1
    r "They simply don't tie. That's nothing weird for them."

    show rune sideblep1
    show thistle confused1
    t "So what, you just put it in, piss and pull out? Nothing to keep you close together and intimate?"

    if choiceknot==1:
        show thistle disappointed1
        t "No wonder you say that shafts are more important if that's all you've got."
        t "You poor soul..."
        l "I... I mean, yeah, but... still... ummm..."
    elif choiceknot==2:
        show thistle laughing1
        t "Hahaha! And yet even you can see how important knots are, Human!"
        t "We, Canines, are clearly superior even in this regard, aren't we!"
        l "I...I mean, yeah... but there's more to that! Like... you know... ummm..."

    elif choiceknot==3:
        t "That sounds hella disappointing!"
        l "N-no... there is a bit more to that... like... you know... ummm…"

    $ renpy.music.set_volume(.5, 5)
    "......"
    "...how am I even supposed to reply to that?! Of course I don’t have a knot!"
    show thistle:
        alpha 0
    show rune:
        alpha 0
    with dis
    "But I still like my dong. It still feels great. Is it bad that there’s no knot?"
    "I don’t think it’s bad! They won’t understand because they aren’t human!"
    "......"
    "...but in the same way, I will never understand what having a knot feels like, because I’m not like them."
    "I never thought about it like that but… are human dicks actually boring? Am I missing out...?"
    "......"
    "Why are we even talking about that?! I have no idea how to respond! Someone, say something, please…!"

    show burryfull serious2
    with dis
    $ renpy.music.set_volume(1, 5)
    b "Come on, people, tone it down. Now you are all just being obnoxious."
    show burryfull talking2
    b "Luke, could I have you in the kitchen for a moment, please?"
    "...Burry, my beautiful friend..."
    l "Sure, I'll be right back!"

    show rune flustered1 at left3 behind burryfull:
        alpha 1
    show thistle flustered1 at right3 behind burryfull:
        alpha 1
    with dis
    show burryfull serious4
    b "And you two..."
    show burryfull serious3
    b "Behave or no more drinks for you today."

    hide burryfull
    show rune at left2
    show thistle at right2
    with dis

    t "......"
    show rune laughing1
    r "Haha!"
    show rune happy1
    r "Don't mind the old dogfart, mate. He didn't mean to make you uncomfortable."

    show thistle laughing1
    show rune listening1
    t "Haha, yeah, sorry! But hey, it's fine!"
    show thistle happy1
    t "In the end, you're a human, not a dog.\nOur standards don't apply to you. You do you, I say!"

    l "Haha, yeah, it's okay, I don't mind. But... I really have to get back to work for now, sorry!"

    if flaglikered == True:
        jump likered2
    else:
        jump dontcare2




label likered2:

    hide rune
    hide thistle
    with dis
    "That’s right. I’m not a dog. I’m an outsider, huh."
    "......"
    "I take a quick glance at the table in the darkest corner."
    "Alon isn't there anymore."

    l "...you know, we should probably apologize to Alon next time we see him."

    show runefull thoughtful2
    with dis
    r "What? Alon? Why?"

    l "I dunno, he snuck out while we weren't looking. He seemed upset earlier."

    show runefull happy1
    r "Hahaha! Naah, don't worry, he'll be fine! Knowing him he's probably still here somewhere!"

    l "Haha, yeah, probably!"

    hide runefull
    with dis
    $ renpy.music.set_volume(0.3, 5)
    "That's right, that's what Alon does. Sneaking around.\nAlways hiding in the shadows. He rarely speaks with the other dogs."
    "......"
    "Sometimes I wonder if despite everything he still feels out of place here too."
    "I'd love to have a one-on-one chat with him one day. Somewhere away from the crowd."
    "......"
    "Well, enough dilly-dallying! Let's get back to work! So much to do!\nToday is a big day for the dogs, after all!"

    $ persistent.ending1=True

    jump afterdogdongs



label dontcare2:

    "I collect the empty plates and mugs from the table and leave Rune and Thistle with a smile."

    hide rune
    hide thistle
    with dis
    $ renpy.music.set_volume(0.3, 5)
    "Well... that felt a little awkward. It's okay, though. The dogs can get a bit excitable but they are still good people. We make a good team. Yeah."
    "Even if we're not the same species… Even if there's so many differences between us…"
    "......"
    "...an \"outsider\", huh..."
    "Oof... I catch myself making a deep sigh."
    "I better compose myself before I join Burry in the kitchen. No need to worry him needlessly."
    "Deep breath... Deep breath..."
    "......"

    if persistent.learn2:
        play sound "audio/sfx/patpat.ogg"
        "!!"
        "Suddenly, I can feel two soft pats on my back!"
        "I turn my head... but there's nobody standing behind me!"
        "......"
        "...huh?"
        "......"
        "...oh... that's right. There's another person who probably feels a bit like an outsider in this group too."
        "I wouldn't have expected him to give me reassuring pats, though. What a surprise... hahaha!"
        l "......"
        l "...thanks, Alon."
        "I chuckle, feeling lighter in my chest."

    "I look back at the dogs."
    "Watching them being loud and happy puts a smile on my face. \nThis is exactly what our hard work is all for."
    "It's going to be fine. I'm sure of it."
    "......"
    "Well then, time to get back to work! So much to do! So much to do!\nToday is a big day for us, after all!"

    $ persistent.ending1=True

    jump afterdogdongs




label afterdogdongs:
jump lunch
